Reference VoiceChange skriptu

Reference VoiceChange skriptu Glosář
Verze

Uživatelské procedury

Tyto procedury musí být definovány v každém skriptu:

Jméno | Popis
OnIdle | Procedura je periodicky volána v během čekání na zavolání.
OnInit | Procedura je zavolána po dokončení inicializace skriptu.
OnRing | Procedura je zavolána, pokud je na lince detekováno příchozí volání.
OnShutdown | Procedura je zavolána před ukončením skriptu.

Základní objekty

Tyto objekty jsou vytvořeny během inicializace skriptu. Programátor je může využívat prostřednictvím globálních proměnných.

Jméno | Popis
AppLog | Umožňuje zapisovat události do aplikačního logu pro účely statistiky.
Archive | Zpřístupňuje hlasové schránky a poštovní systém.
CallInfo | Poskytuje informace o probíhajícím volání.
Line | Ovládá telefonní linku (přehrávání a nahrávání WAVů, práce s DTMF, ...).
Log | Umožňuje zapisovat hlášení do logu pro účely ladění aplikace.
Speaker | Umožňuje přehrávání zpráv obsahujících číselné a časové údaje.
UMSMonitor | Umožňuje poskytovat informace o běhu skriptu programu UMS Monitor.
VXScript | Poskytuje informace o konfiguraci skriptu.

Další objekty

Tyto objekty nejsou globálně přístupné. Buď je musí programátor sám vytvořit (objekt Menu), nebo jsou to objekty vracené některými metodami jiných objektů (objekty Message a VoiceBox).

Jméno | Popis
Menu | Usnadňuje vytváření hlasových menu.
Message | Poskytuje informace o jedné zprávě uložené v hlasové schránce.
VoiceBox | Poskytuje informace o jedné hlasové schránce a umožňuje přístup ke zprávám v ní uloženým.

Standardní moduly

Standardní moduly jsou vytvořeny během inicializace skriptu. Programátor je může využívat prostřednictvím globálních proměnných.

Jméno | Popis
CallerInfo | Pokouší se identifikovat volajícího podle telefonního čísla, ze kterého volá (např. podle mobilního telefonu) a poskytuje informace o volajícím (číslo hlasové schránky a preferovaný jazyk).
CompGreeting | Umožňuje přehrát firemní pozdrav a realizuje menu pro správu firemního pozdravu.
FaxChange | Umožňuje sdílet telefonní linku s FaxChange.
MobilChange Informuje majitele hlasové schránky o nových zprávách prostřednictvím MobilChange odesílaných zpráv SMS.

Modul neposkytuje programátorovi žádné další služby.
NewMessageCtrl Rozsvěcí pomocí CallChange kontrolku na pobočkovém telefonu při přijetí nové hlasové zprávy.

Modul neposkytuje programátorovi žádné další služby.
ScriptRedirector | Na základě čísla volané linky zavolá vhodný modul, který volání obslouží.
VoiceMail | Realizuje interaktivní nahrávání a ukládání zpráv do hlasových schránek a výběr hlasových schránek jejich majiteli.

Moduly pro ScriptRedirector

Tyto moduly jsou určeny pro použití ScriptRedirectorem. Ale dají se použít i přímo zavoláním metody Modul.OnRing.

Jméno | Popis
LangugeSelector | Umožňuje volajícímu zvolit si jazyk, ve kterém s ním bude aplikace komunikovat.
VoiceMailLine | Implementuje standardní chování VX v režimu záznamníku.
VXML | Částečná implementace VoiceXML pro popis hlasových aplikací.

Konstanty

Jméno | Popis
VXLibVersion | Verze systémové knihovny skritpu.

Datové struktury

Jméno | Popis
Seznam WAVů | Seznam jmen WAVů určených pro přehrání.


Procedura OnIdle

Procedura OnIdle Reference VoiceChange skriptu
Verze

Popis

Uživatelská procedura OnIdle je periodicky volána v během čekání na zavolání. Frekvence volání je určena atributem VXScript.IdleFrequency.

Procedura může být prázdná.

Syntaxe

Sub OnIdle

Viz také

VXScript.IdleFrequency, OnInit, OnRing, OnShutdown


Procedura OnInit

Procedura OnInit Reference VoiceChange skriptu
Verze

Popis

Uživatelská procedura OnInit je zavolána po dokončení inicializace skriptu.

Procedura je určena určena například pro vytvoření spojení s databázovým serverem a podobně. Procedura může být prázdná.

Syntaxe

Sub OnInit

Viz také

OnIdle, OnRing, OnShutdown


Procedura OnRing

Procedura OnRing Reference VoiceChange skriptu
Verze

Popis

Uživatelská procedura OnRing je zavolána, pokud je na lince detekováno příchozí volání.

Při vstupu do procedury je linka ještě zavěšena a vyzvání. Programátor musí hovor přijmout metodou Line.Anser nebo jinak obsloužit - například přesměrovat. Před ukončením procedury je třeba linku zavěsit metodou Line.HangUp.

Syntaxe

Sub OnRing

Viz také

Line.Anser, Line.HangUp, OnIdle, OnInit, OnShutdown


Procedura OnShutdown

Procedura OnShutdown Reference VoiceChange skriptu
Verze

Popis

Uživatelská procedura OnShutdown je zavolána před ukončením skriptu.

Procedura je určena určena například pro zrušení spojení s databázovým serverem a podobně. Procedura může být prázdná.

Syntaxe

Sub OnShutdown

Viz také

OnIdle, OnInit, OnRing


Objekt AppLog

Objekt AppLog Reference VoiceChange skriptu
Verze

Popis

Globální objekt AppLog je vytvořen během inicializace skriptu. Umožňuje zapisovat události do aplikačního logu pro účely statistiky.

Metody

Jméno | Popis
Write | Zapíše událost do aplikačního logu.


Metoda Write

Metoda Write Reference VoiceChange skriptu
Verze
Objekt AppLog

Popis

Metoda Write zapíše událost do aplikačního logu.

Syntaxe

AppLog.Write Source, EventID, Desc

Parametry

Parametr | Popis
Source | String obsahující jméno aplikace.
EventID | String obsahující identifikátor události.
Desc | String obsahující podrobnější popis události.

Příklad

Sub OnRing
    Dim CallResult

    Line.Answer
    AppLog.Write "my application", "call.start", Empty

    ... ' process application and set CallResult value

    If CallResult = "OK" Then
        AppLog.Write "my application", "call.end.ok", Empty
    Else
        AppLog.Write "my application", "call.end.fail", CallResult
    End If
    Line.HangUp
End Sub


Objekt Archive

Objekt Archive Reference VoiceChange skriptu
Verze

Popis

Globální objekt Archive je vytvořen během inicializace skriptu. Zpřístupňuje hlasové schránky a poštovní systém.

Metody

Jméno | Popis
FindBoxNumber | Vyhledá v adresáři číslo schránky podle telefonního čísla.
GetVoiceBox | Vrátí objekt reprezentující jednu hlasovou schránku.
SendMail | Odešle email prostřednictvím poštovního systému používaného VoiceChangí.


Metoda FindBoxNumber

Metoda FindBoxNumber Reference VoiceChange skriptu
Verze
Objekt Archive

Popis

Metoda FindBoxNumber vyhledá v adresáři číslo schránky podle telefonního čísla.

Syntaxe

BoxNo = Archive.FindBoxNumber(PhoneNo)

Parametry

Parametr | Popis
PhoneNo | String obsahující telefonní číslo v normativním formátu.

Návratová hodnota

Pokud je v adresáři nalezen záznam o osobě s telefonních číslem PhoneNo, je vráceno číslo hlasové schránky (tedy číslo telefonní linky) této osoby. Pokud taková osoba v adresáři není nalezena, nebo pokud nemá přiřazené žádné číslo linky, vrátí metoda hodnotu Empty.

Pokud je v adresáři více osob, kterým je přiřazeno telefonní číslo PhoneNo, je brán v úvahu pouze první nalezený záznam.

Seznam telefonních čísel, která jsou při vyhledávání záznamu v adresáři porovnávána s číslem PhoneNo, je závislý na použitém emailovém systému a jeho konfiguraci (konfigurační soubor mail.ini).

Příklad

Dim BoxNo, Box
BoxNo = Archive.FindBoxNumber("+420777123456")
If Not IsEmpty(BoxNo) Then Set Box = Archive.GetVoiceBox(BoxNo)


Metoda GetVoiceBox

Metoda GetVoiceBox Reference VoiceChange skriptu
Verze
Objekt Archive

Popis

Metoda GetVoiceBox vrátí objekt reprezentující jednu hlasovou schránku.

Syntaxe

Set Box = Archive.GetVoiceBox(Number)

Parametry

Parametr | Popis
Number | String obsahující číslo schránky.

Návratová hodnota

Metoda vrací objekt VoiceBox reprezentující požadovanou schránku. V případě, že hlasová schránka s požadovaným číslem nebyla administrátorem VoiceChange aktivována, reprezentuje vrácený objekt virtuální schránku.

Příklad

Dim Box
Set Box = Archive.GetVoiceBox("123")
If Box.IsVirtual Then Log.Write "Voice box 123 not activated."

Viz také

VoiceBox


Metoda SendMail

Metoda SendMail Reference VoiceChange skriptu
Verze
Objekt Archive

Popis

Metoda SendMail odešle email prostřednictvím poštovního systému používaného VoiceChangí.

Syntaxe

RecipCount = Archive.SendMail(Recipients, Subject, MsgBody, AttachList)

Parametry

Parametr | Popis
Recipients | String obsahující seznam adresátů oddělených středníkem.
Subject | String obsahující předmět zprávy.
MsgBody | String obsahující text zprávy.
AttachList | String obsahující seznam příloh (jmen souborů) oddělených středníkem.

Návratová hodnota

Metoda vrátí počet příjemců, kterým byla zpráva úspěšně odeslána.

Příklad

Dim RetVal
RetVal = Archive.SendMail("test@test.cz", "Test", "Test", "")
If RetVal <> 1 Then Log.Write "SendMail error"


Objekt CallInfo

Objekt CallInfo Reference VoiceChange skriptu
Verze

Popis

Globální objekt CallInfo je vytvořen během inicializace skriptu. Poskytuje informace o probíhajícím volání.

Podle použitého hardwaru mohou být informace o volání dostupné ihned po detekci vyzvánění (tedy již při vstupu do uživatelské procedury OnRing, nebo až po přijmutí volání metodou Line.Answer. Některé informace nemusí být známé ani po přijmutí volání.

Hodnota neznámých atributů je Empty.

Atributy

Jméno | Popis
IsDiverted | Má hodnotu True, pokud je volání přesměrované.
IsExternal | Má hodnotu True, pokud je volání externí.
IsForeign | Má hodnotu True, pokud je volání mezistátní.
IsInternal | Má hodnotu True, pokud je volání interní.
IsLocal | Má hodnotu True, pokud je volání místní.
IsLongDistance | Má hodnotu True, pokud je volání meziměstské.
Source

Telefonní číslo volajícího v normativním tvaru.

Target | Číslo volané linky.

Viz také

Line.Answer, OnRing


Atribut IsDiverted

Atribut IsDiverted Reference VoiceChange skriptu
Verze
Objekt CallInfo

Popis

Atribut IsDiverted má hodnotu True, pokud je volání přesměrované. Pokud jde o přímé volání na linku VoiceChange, je hodnota atributu False. Pokud není informace o přesměrování známa, je hodnota atributu Empty.

Atribut je pouze pro čtení.

Syntaxe

IsDiverted = CallInfo.IsDiverted


Atribut IsExternal

Atribut IsExternal Reference VoiceChange skriptu
Verze
Objekt CallInfo

Popis

Atribut IsExternal má hodnotu True, pokud je volání externí. Pokud jde o interní volání, je hodnota atributu False. Pokud není informace o druhu volání známa, je hodnota atributu Empty.

O volání může být známo, že je externí i v případě, že nejsou známy podrobnější informace o volání (atributy IsLocal, IsLongDistance a IsForeign mají hodnotu Empty).

Atribut je pouze pro čtení.

Syntaxe

IsExternal = CallInfo.IsExternal

Viz také

IsForeign, IsInternal, IsLocal, IsLongDistance


Atribut IsForeign

Atribut IsForeign Reference VoiceChange skriptu
Verze
Objekt CallInfo

Popis

Atribut IsForeign má hodnotu True, pokud je volání mezistátní. Pokud jde o jiný druh volání, je hodnota atributu False. Pokud není informace o druhu volání známa, je hodnota atributu Empty.

Atribut je pouze pro čtení.

Syntaxe

IsForeign = CallInfo.IsForeign

Viz také

IsExternal, IsInternal, IsLocal, IsLongDistance


Atribut IsInternal

Atribut IsInternal Reference VoiceChange skriptu
Verze
Objekt CallInfo

Popis

Atribut IsInternal má hodnotu True, pokud je volání interní. Pokud jde o externí volání, je hodnota atributu False. Pokud není informace o druhu volání známa, je hodnota atributu Empty.

Atribut je pouze pro čtení.

Syntaxe

IsInternal = CallInfo.IsInternal

Viz také

IsExternal, IsForeign, IsLocal, IsLongDistance


Atribut IsLocal

Atribut IsLocal Reference VoiceChange skriptu
Verze
Objekt CallInfo

Popis

Atribut IsLocal má hodnotu True, pokud je volání místní. Pokud jde o jiný druh volání, je hodnota atributu False. Pokud není informace o druhu volání známa, je hodnota atributu Empty.

Atribut je pouze pro čtení.

Syntaxe

IsLocal = CallInfo.IsLocal

Viz také

IsExternal, IsForeign, IsInternal, IsLongDistance


Atribut IsLongDistance

Atribut IsLongDistance Reference VoiceChange skriptu
Verze
Objekt CallInfo

Popis

Atribut IsLongDistance má hodnotu True, pokud je volání meziměstské. Pokud jde o jiný druh volání, je hodnota atributu False. Pokud není informace o druhu volání známa, je hodnota atributu Empty.

Atribut je pouze pro čtení.

Syntaxe

IsIsLongDistance = CallInfo.IsLongDistance

Viz také

IsExternal, IsForeign, IsInternal, IsLocal


Atribut Source

Atribut Source Reference VoiceChange skriptu
Verze
Objekt CallInfo

Popis

Atribut Source je String obsahující telefonní číslo volajícího v normativním tvaru. Pokud je volání interní, obsahuje Source číslo linky, ze které je voláno. Pokud není číslo volajícího známo, je hodnota atributu Empty.

Atribut je pouze pro čtení.

Syntaxe

SourceNo = CallInfo.Source

Viz také

Target


Atribut Target

Atribut Target Reference VoiceChange skriptu
Verze
Objekt CallInfo

Popis

Atribut Target je String obsahující číslo telefonní linky volaného. Pokud není číslo volaného známo, je hodnota atributu Empty.

Pokud je volání přesměrované, obsahuje atribut Target volané číslo, nikoliv číslo, na které bylo volání přesměrováno.

Atribut je pouze pro čtení.

Syntaxe

TargetNo = CallInfo.Target

Viz také

IsDiverted, Source


Objekt Line

Objekt Line Reference VoiceChange skriptu
Verze

Popis

Globální objekt Line je vytvořen během inicializace skriptu. Ovládá telefonní linku (přehrávání a nahrávání WAVů, práce s DTMF, ...).

Atributy

Jméno | Popis
AskRepCount | Počet opakování výzvy k zadání vstupu.
AskWaitingWAV | Jméno WAVu přehrávaného mezi opakováním výzvy.
DfltAskRepCount | Implicitní hodnotu atributu AskRepCount.
DfltAskWaitingWAV | Implicitní hodnotu atributu AskWaitingWAV.
DfltMaxRecLen | Implicitní hodnotu atributu MaxRecLen.
DfltMaxRecSilence | Implicitní hodnotu atributu MaxRecSilence.
DfltMinRecLen | Implicitní hodnotu atributu MinRecLen.
ExtNumber | Telefonní číslo linky v rámci pobočkové ústředny.
IsHangedUp | Má hodnotu True, pokud je linka zavěšena.
MaxRecLen | Maximální délka nahrávky.
MaxRecSilence | Maximální délka ticha v nahrávce.
MinRecLen | Minimální délka nahrávky pro RecordWAVChck.
PortNumber | Pořadové číslo linky v rámci VoiceChange.

Metody

Jméno | Popis
Answer | Zvedne příchozí hovor.
Ask | Vrací číslo ukončené speciálním znakem zadané volajícím.
AskChar | Vrací jeden znak zadaný volajícím.
AskExt | Vrací číslo zadané volajícím na klávesnici telefonu s tónovou volbou.
AskFix | Vrací číslo pevné délky zadané volajícím.
AskFixRev | Vrací číslo pevné délky zadané volajícím. Umožňuje volajícímu zopakovat zadání.
AskRev | Vrací číslo ukončené speciálním znakem zadané volajícím. Umožňuje volajícímu zopakovat zadání.
BufferWAV | Přidá WAVy do seznamu WAVů pro přehrání.
CDialResult | Převede číselnou konstantu výsledku vytáčení na text.
Dial | Vytočí telefonní číslo.
DialEx | Vytočí telefonní číslo s možností nastavení času vyzvánění a čísla volajícího.
HangUp | Zavěsí zvednutou linku.
PlayBuffer | Přehraje seznam WAVů vytvořený metodou BufferWAV.
PlayDelimiter | Přehraje krátké pípnutí.
PlayWAV | Přehraje WAVy.
ReceiveDTMF | Vrátí přijaté DTMF.
ReceiveFax | Přijme fax.
RecordWAV | Nahraje WAV.
RecordWAVChck | Nahraje WAV
SendDTMF | Vygeneruje DTMF.
SendFax | Odešle fax.
Transfer | Přesměruje hovor na jiné telefonní linku.
TransferEx | Přesměruje hovor na jiné telefonní číslo s možností nastavení času vyzvánění.


Atribut AskRepCount

Atribut AskRepCount Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Atribut AskRepCount je Integer obsahující počet opakování výzvy k zadání vstupu. Hodnota atributu ovlivňuje chování metod AskExt, AskChar, Ask, AskRev, AskFix a AskFixRev.

Počáteční hodnota atributu je nastavena podle DfltAskRepCount.

Atribut je pro čtení a zápis.

Syntaxe

AskRepCount = Line.AskRepCount

Line.AskRepCount = NewAskRepCount

Příklad

Příklad využívá změnu implicitní hodnoty atributu AskRepCount před výzvou k zadání údaje, jehož zadání může volajícímu trvat delší dobu.

Line.AskRepCount = 5
InputValue = Line.Ask "instructions.wav", "#", ""
Line.AskRepCount = Line.DfltAskRepCount

Viz také

AskWaitingWAV, Ask, AskChar, AskExt, AskFix, AskFixRev, AskRev, DfltAskRepCount


Atribut AskWaitingWAV

Atribut AskWaitingWAV Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Atribut AskWaitingWAV je String obsahující jméno WAVu přehrávaného mezi opakováním výzvy. Odkazovaný WAV obvykle obsahuje ticho přiměřeně dlouhé k tomu, aby volající mohl zadat požadovaný vstup. Hodnota atributu ovlivňuje chování metod AskExt, AskChar, Ask, AskRev, AskFix a AskFixRev.

Počáteční hodnota atributu je nastavena podle DfltAskWaitingWAV.

Atribut je pro čtení a zápis.

Syntaxe

AskWaitingWAV = Line.AskWaitingWAV

Line.AskWaitingWAV = NewAskWaitingWAV

Příklad

Příklad využívá změnu implicitní hodnoty atributu AskWaitingWAV před výzvou k zadání údaje, jehož zadání může volajícímu trvat delší dobu.

Line.AskWaitingWAV = "long-silence.wav"
InputValue = Line.Ask "instructions.wav", "#", ""
Line.AskWaitingWAV = Line.DfltAskWaitingWAV

Viz také

AskRepCount, Ask, AskChar, AskExt, AskFix, AskFixRev, AskRev, DfltAskWaitingWAV


Atribut DfltAskRepCount

Atribut DfltAskRepCount Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Atribut DfltAskRepCount je Integer obsahující implicitní hodnotu atributu AskRepCount.

Hodnota atributu odpovídá hodnotě parametru $Line.AskRepeateCount v konfiguračních souborech skriptu.

Atribut je pouze pro čtení.

Syntaxe

DfltAskRepCount = Line.DfltAskRepCount

Viz také

AskRepCount


Atribut DfltAskWaitingWAV

Atribut DfltAskWaitingWAV Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Atribut DfltAskWaitingWAV je String obsahující implicitní hodnotu atributu AskWaitingWAV.

Hodnota atributu odpovídá hodnotě parametru $Line.AskWaitingWAV v konfiguračních souborech skriptu.

Atribut je pouze pro čtení.

Syntaxe

DfltAskWaitingWAV = Line.DfltAskWaitingWAV

Viz také

AskWaitingWAV


Atribut DfltMaxRecLen

Atribut DfltMaxRecLen Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Atribut DfltMaxRecLen je Integer obsahující implicitní hodnotu atributu MaxRecLen.

Hodnota atributu odpovídá hodnotě parametru $Line.MaxLen v konfiguračních souborech skriptu.

Atribut je pouze pro čtení.

Syntaxe

DfltMaxRecLen = Line.DfltMaxRecLen

Viz také

MaxRecLen


Atribut DfltMaxRecSilence

Atribut DfltMaxRecLen Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Atribut DfltMaxRecSilence je Integer obsahující implicitní hodnotu atributu MaxRecSilence.

Hodnota atributu odpovídá hodnotě parametru $Line.MaxSilence v konfiguračních souborech skriptu.

Atribut je pouze pro čtení.

Syntaxe

DfltMaxRecSilence = Line.DfltMaxRecSilence

Viz také

MaxRecSilence


Atribut DfltMinRecLen

Atribut DfltMinRecLen Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Atribut DfltMinRecLen je Integer obsahující implicitní hodnotu atributu MinRecLen.

Hodnota atributu odpovídá hodnotě parametru $Line.MinLen v konfiguračních souborech skriptu.

Atribut je pouze pro čtení.

Syntaxe

DfltMinRecLen = Line.DfltMinRecLen

Viz také

MinRecLen


Atribut ExtNumber

Atribut ExtNumber Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Atribut ExtNumber je String obsahující telefonní číslo linky v rámci pobočkové ústředny.

Hodnota atributu odpovídá hodnotě parametru $Line.ExtNo v konfiguračních souborech skriptu.

Atribut je pouze pro čtení.

Syntaxe

ExtNo = Line.ExtNumber

Viz také

PortNumber


Atribut IsHangedUp

Atribut IsHangedUp Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Atribut IsHangedUp má hodnotu True, pokud je linka zavěšena. Pokud byla linka zvednuta metodou Answer nebo metodou Dial a ještě nebyla položena metodou HangUp, je hodnota atributu False.

Atribut je pouze pro čtení.

Syntaxe

IsHangedUp = Line.IsHangedUp

Viz také

Answer, Dial, HangUp


Atribut MaxRecLen

Atribut MaxRecLen Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Atribut MaxRecLen je Integer obsahující maximální dobu v milisekundách, po kterou metody RecordWAV a RecordWAVChck nahrávají WAV.

Počáteční hodnota atributu je nastavena podle DfltMaxRecLen.

Atribut je pro čtení a zápis.

Syntaxe

MaxRecLen = Line.MaxRecLen

Line.MaxRecLen = NewMaxRecLen

Viz také

DfltMaxRecLen, MaxRecSilence, MinRecLen, RecordWAV, RecordWAVChck


Atribut MaxRecSilence

Atribut MaxRecSilence Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Atribut MaxRecSilence je Integer obsahující maximální délku ticha v milisekundách, po kterou metody RecordWAV a RecordWAVChck nahrávají WAV. Pokud při nahrávání WAVu je ticho delší, je nahrávání ukončeno.

Počáteční hodnota atributu je nastavena podle DfltMaxRecSilence.

Atribut je pro čtení a zápis.

Syntaxe

MaxRecSilence = Line.MaxRecSilence

Line.MaxRecSilence = NewMaxRecSilence

Viz také

DfltMaxRecSilence, MaxRecLen, MinRecLen, RecordWAV, RecordWAVChck


Atribut MinRecLen

Atribut MinRecLen Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Atribut MinRecLen je Integer obsahující minimální délku nahrávky v milisekundách, která je metodou RecordWAVChck považována za platnou.

Počáteční hodnota atributu je nastavena podle DfltMinRecLen.

Atribut je pro čtení a zápis.

Syntaxe

MinRecLen = Line.MinRecLen

Line.MinRecLen = NewMinRecLen

Viz také

DfltMinRecLen, MaxRecLen, MaxRecSilence, RecordWAVChck


Atribut PortNumber

Atribut PortNumber Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Atribut PortNumber je String obsahující pořadové číslo linky v rámci VoiceChange. Linky obsluhované VoiceChangí jsou číslovány od nuly.

Hodnota atributu odpovídá hodnotě parametru $VoiceChange.Line v konfiguračních souborech skriptu.

Atribut je pouze pro čtení.

Syntaxe

PortNo = Line.PortNumber

Viz také

ExtNumber


Metoda Answer

Metoda Answer Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda Anser zvedne příchozí hovor.

Syntaxe

Line.Answer

Viz také

HangUp, IsHangedUp


Metoda Ask

Metoda Ask Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda Ask přehraje seznam WAVů z parametru WAVList. WAVy jsou přehrány maximálně tolikrát, kolik je hodnota atributu AskRepCount a za každé přehrání seznamu WAVů je navíc vložen WAV, jehož jméno je uloženo v atributu AskWaitingWAV. Všechny WAVy jsou přehrávány těsně za sebou bez prodlev.

Syntaxe

Input = Line.Ask(WAVList, EntryChars, StopChars)

Parametry

Parametr | Popis
WAVList | String obsahující jméno WAVu nebo seznam WAVů.
EntryChars | String obsahující DTMF znaky, jejichž stisknutím volající ukončí zadávání vstupu.
StopChars | String obsahující DTMF znaky, jejichž stisknutím volající přeruší zadávání vstupu.

Návratová hodnota

Pokud volající stiskne některý ze znaků v parametru EntryChars, je přehrávání ukončeno a Ask vrátí všechny zadané znaky bez tohoto posledního znaku. Může být vrácen i prázdný řetězec, pokud byl ukončovací znak stisknut jako první.

Pokud volající stiskne některý ze znaků v parametru StopChars, je přehrávání ukončeno a Ask vrátí pouze tento znak. Případné dříve stisknuté znaky nejsou vráceny.

Pokud během přehrávání nenastane žádná z výše uvedených situací, je po skončení přehrávání vrácena hodnota Empty.

Příklad

Password = Line.Ask("enter-password.wav", "#", "*")
If IsEmpty(Password) Then
    ' timout
ElseIf Password = "*" Then
    ' terminate by user
Else
    ' Password entred
End If

Viz také

AskChar, AskExt, AskFix, AskFixRev, AskRepCount, AskRev, AskWaitingWAV, Seznam WAVů


Metoda AskExt

Metoda AskExt Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda AskExt přehraje seznam WAVů z parametru WAVList. WAVy jsou přehrány maximálně tolikrát, kolik je hodnota atributu AskRepCount a za každé přehrání seznamu WAVů je navíc vložen WAV, jehož jméno je uloženo v atributu AskWaitingWAV. Všechny WAVy jsou přehrávány těsně za sebou bez prodlev.

Během přehrávání je očekáván vstup volajícího (zadávaný tónovou volbou telefonu). Volající může stornovat nedokončený vstup stisknutím některého ze znaku v parametru RevChars a zopakovat zadání. Některý znaky v parametru RevChars může být i mezi znaky v parametru StopChars. V tom případě stisknutí takového znaku nad neprázdným vstupem má funkci zopakování zadání a stisknutí takového znaku nad prázdným vstupem ukončí přehrávání a AskExt vrátí tento znak.

Pro většinu případů je jednodušší použít některou z metod AskChar, Ask, AskRev, AskFix nebo AskFixRev.

Syntaxe

Input = Line.AskExt(WAVList, Length, EntryChars, StopChars, RevChars)

Parametry

Parametr | Popis
WAVList | String obsahující jméno WAVu nebo seznam WAVů.
Length | Integer obsahující maximální délku vstupu nebo Empty.
EntryChars | String obsahující DTMF znaky, jejichž stisknutím volající ukončí zadávání vstupu.
StopChars | String obsahující DTMF znaky, jejichž stisknutím volající přeruší zadávání vstupu.
RevChars | String obsahující DTMF znaky, jejichž stisknutím volající může zopakovat zadání.

Návratová hodnota

Během přehrávání jsou sledovány DTMF kódy, které volající vkládá pomocí klávesnice telefonu.

Pokud má parametr Length nenulovou hodnotu a není Empty, a volající zadá tolik znaků, kolik činí hodnota Length je přehrávání ukončeno a AskExt vrátí zadané znaky.

Pokud volající stiskne některý ze znaků v parametru EntryChars, je přehrávání ukončeno a AskExt vrátí všechny zadané znaky bez tohoto posledního znaku. Může být vrácen i prázdný řetězec, pokud byl ukončovací znak stisknut jako první.

Pokud volající stiskne některý ze znaků v parametru StopChars, je přehrávání ukončeno a AskExt vrátí pouze tento znak. Případné dříve stisknuté znaky nejsou vráceny.

Pokud během přehrávání nenastane žádná z výše uvedených situací, je po skončení přehrávání vrácena hodnota Empty.

Viz také

Ask, AskChar, AskFix, AskFixRev, AskRepCount, AskRev, AskWaitingWAV, Seznam WAVů


Metoda AskFix

Metoda AskFix Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda AskFix přehraje seznam WAVů z parametru WAVList. WAVy jsou přehrány maximálně tolikrát, kolik je hodnota atributu AskRepCount a za každé přehrání seznamu WAVů je navíc vložen WAV, jehož jméno je uloženo v atributu AskWaitingWAV. Všechny WAVy jsou přehrávány těsně za sebou bez prodlev.

Syntaxe

Input = Line.AskFix(WAVList, Length, StopChars)

Parametry

Parametr | Popis
WAVList | String obsahující jméno WAVu nebo seznam WAVů.
Length | Integer obsahující maximální délku vstupu nebo Empty.
StopChars | String obsahující DTMF znaky, jejichž stisknutím volající přeruší zadávání vstupu.

Návratová hodnota

Pokud má parametr Length nenulovou hodnotu a není Empty, a volající zadá tolik znaků, kolik činí hodnota Length je přehrávání ukončeno a AskFix vrátí zadané znaky.

Pokud volající stiskne některý ze znaků v parametru StopChars, je přehrávání ukončeno a AskFix vrátí pouze tento znak. Případné dříve stisknuté znaky nejsou vráceny.

Pokud během přehrávání nenastane žádná z výše uvedených situací, je po skončení přehrávání vrácena hodnota Empty.

Příklad

PIN = Line.AskFix("enter-pin.wav", 4, "*")
If IsEmpty(PIN) Then
    ' timout
ElseIf PIN = "*" Then
    ' terminate by user
Else
    ' PIN entred
End If

Viz také

Ask, AskChar, AskExt, AskFixRev, AskRepCount, AskRev, AskWaitingWAV, Seznam WAVů


Metoda AskFixRev

Metoda AskFixRev Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda AskFixRev přehraje seznam WAVů z parametru WAVList. WAVy jsou přehrány maximálně tolikrát, kolik je hodnota atributu AskRepCount a za každé přehrání seznamu WAVů je navíc vložen WAV, jehož jméno je uloženo v atributu AskWaitingWAV. Všechny WAVy jsou přehrávány těsně za sebou bez prodlev.

Během přehrávání je očekáván vstup volajícího (zadávaný tónovou volbou telefonu). Volající může stornovat nedokončený vstup stisknutím hvězdičky a zopakovat zadání. Znak hvězdičky může být i mezi znaky v parametru StopChars. V tom případě stisknutí hvězdičky nad neprázdným vstupem má funkci zopakování zadání a stisknutí hvězdičky nad prázdným vstupem ukončí přehrávání a AskFixRev vrátí tento znak.

Syntaxe

Input = Line.AskFixRev(WAVList, Length, StopChars)

Parametry

Parametr | Popis
WAVList | String obsahující jméno WAVu nebo seznam WAVů.
Length | Integer obsahující maximální délku vstupu nebo Empty.
StopChars | String obsahující DTMF znaky, jejichž stisknutím volající přeruší zadávání vstupu.

Návratová hodnota

Pokud má parametr Length nenulovou hodnotu a není Empty, a volající zadá tolik znaků, kolik činí hodnota Length je přehrávání ukončeno a AskFixRev vrátí zadané znaky.

Pokud volající stiskne některý ze znaků v parametru StopChars, je přehrávání ukončeno a AskFixRev vrátí pouze tento znak. Případné dříve stisknuté znaky nejsou vráceny.

Pokud během přehrávání nenastane žádná z výše uvedených situací, je po skončení přehrávání vrácena hodnota Empty.

Viz také

Ask, AskChar, AskExt, AskFix, AskRepCount, AskRev, AskWaitingWAV, Seznam WAVů


Metoda AskRev

Metoda AskRev Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda AskRev přehraje seznam WAVů z parametru WAVList. WAVy jsou přehrány maximálně tolikrát, kolik je hodnota atributu AskRepCount a za každé přehrání seznamu WAVů je navíc vložen WAV, jehož jméno je uloženo v atributu AskWaitingWAV. Všechny WAVy jsou přehrávány těsně za sebou bez prodlev.

Během přehrávání je očekáván vstup volajícího (zadávaný tónovou volbou telefonu). Volající může stornovat nedokončený vstup stisknutím hvězdičky a zopakovat zadání. Znak hvězdičky může být i mezi znaky v parametru StopChars. V tom případě stisknutí hvězdičky nad neprázdným vstupem má funkci zopakování zadání a stisknutí hvězdičky nad prázdným vstupem ukončí přehrávání a AskRev vrátí tento znak.

Syntaxe

Input = Line.AskRev(WAVList, EntryChars, StopChars)

Parametry

Parametr | Popis
WAVList | String obsahující jméno WAVu nebo seznam WAVů.
EntryChars | String obsahující DTMF znaky, jejichž stisknutím volající ukončí zadávání vstupu.
StopChars | String obsahující DTMF znaky, jejichž stisknutím volající přeruší zadávání vstupu.

Návratová hodnota

Pokud volající stiskne některý ze znaků v parametru EntryChars, je přehrávání ukončeno a AskRev vrátí všechny zadané znaky bez tohoto posledního znaku. Může být vrácen i prázdný řetězec, pokud byl ukončovací znak stisknut jako první.

Pokud volající stiskne některý ze znaků v parametru StopChars, je přehrávání ukončeno a AskRev vrátí pouze tento znak. Případné dříve stisknuté znaky nejsou vráceny.

Pokud během přehrávání nenastane žádná z výše uvedených situací, je po skončení přehrávání vrácena hodnota Empty.

Viz také

Ask, AskChar, AskExt, AskFix, AskFixRev, AskRepCount, AskWaitingWAV, Seznam WAVů


Metoda BufferWAV

Metoda BufferWAV Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda BufferWAV přidá WAVy do seznamu WAVů pro přehrání. WAVy v seznamu poté mohou být přehrány například metodou PlayBuffer.

Syntaxe

Line.BufferWAV WavList

Parametry

Parametr | Popis
WAVList | String obsahující jméno WAVu nebo seznam WAVů.

Příklad

Line.BufferWAV Array("access.wav", "is.wav")
If AccessPermited Then
    Line.BufferWAV "permited.wav"
Else
    Line.BufferWAV "denied.wav"
End If
Line.PlayBuffer ""

Viz také

PlayBuffer, PlayDelimiter, PlayWAV, Seznam WAVů


Metoda CDialResult

Metoda CDialResult Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda CDialResult převede číselné konstanty vracené metodami Dial a DialEx na textové řetězce.

Syntaxe

ResultStr = Line.CDialResult(resultCode)

Parametry

Parametr | Popis
ResultCode | Integer s kódem výsledku vytáčení.

Návratová hodnota

String s textovou hodnotou popisující návratový kód ResultCode.

Viz také

Dial, DialEx


Metoda Dial

Metoda Dial Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda Dial vytočí telefonní číslo. Pokud se vytáčení nezdaří, je linka v rámci volání metody Dial opět zavěšena.

Po ukončení volání je třeba linku zavěsit metodou HangUp.

Syntaxe

Result = Line.Dial(Number)

Parametry

Parametr | Popis
Number | String obsahující telefonní číslo v podobě, v které má být vytočeno. Znak čárky v telefonním čísle způsobí krátkou pauzu před vytočením části čísla za čárkou.

Návratová hodnota

Návratová hodnota je Integer odpovídající jedné z těchto konstant:

Hodnota | Popis
drOK | Vytáčení se zdařilo a nejsou známy podrobnější informace.
drHuman | Vytáčení se zdařilo a na druhé straně byl detekován člověk.
drFax | Vytáčení se zdařilo a na druhé straně byl detekován fax.
drSilence | Vytáčení se zdařilo a na druhé straně je ticho.
drBusy | Vytáčení se nezdařilo, protože volaná linka je obsazena.
drNoAnswer | Vytáčení se nezdařilo, protože volanou linku nikdo nezvedl.
drDialRinging | Vytáčení se nezdařilo, protože byl právě detekován příchozí hovor (místní linka vyzvání).
drError | Vytáčení se nezdařilo, důvod neúspěchu není znám.

Pozor: Konstanty nejsou globální, ale jsou atributy objektu Line, proto je třeba se na ně odkazovat i s jménem objektu, např. Line.drHuman.

Viz také

DialEx, HangUp, IsHangedUp


Metoda DialEx

Metoda DialEx Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda DialEx vytočí telefonní číslo. Pokud se vytáčení nezdaří, je linka v rámci volání metody Dial opět zavěšena.

Po ukončení volání je třeba linku zavěsit metodou HangUp.

Syntaxe

Result = Line.DialEx(Number, Timeout, CallingPartyNumber)

Parametry

Parametr | Popis
Number | String obsahující telefonní číslo v podobě, v které má být vytočeno. Znak čárky v telefonním čísle způsobí krátkou pauzu před vytočením části čísla za čárkou.
Timeout | Integer obsahující maximální dobu vyzvánění v sekundách před zavěšením vrácením drNoAnswer. Pokud je Empty, bude použita implementačně závislá implicitní hodnota.
CallingPartyNumber | String obsahuje číslo, které má být použito jako číslo volajícího, tj. to, co uvidí volaný na displeji. Pokud je Empty, není tato funkce použita. Funkce je podporována pouze v některých konfiguracích hardwaru. Pokud je v konfiguraci "$Line.CallingPartyNumberSupported" nastaveno na False, je tato hodnota vždy ignorována. Pokud je "$Line.CallingPartyNumberSupported" True a hardware tuto funkci neumí, může vytáčení skončit chybou.

Návratová hodnota

Návratová hodnota je Integer odpovídající jedné z těchto konstant:

Hodnota | Popis
drOK | Vytáčení se zdařilo a nejsou známy podrobnější informace.
drHuman | Vytáčení se zdařilo a na druhé straně byl detekován člověk.
drFax | Vytáčení se zdařilo a na druhé straně byl detekován fax.
drSilence | Vytáčení se zdařilo a na druhé straně je ticho.
drBusy | Vytáčení se nezdařilo, protože volaná linka je obsazena.
drNoAnswer | Vytáčení se nezdařilo, protože volanou linku nikdo nezvedl.
drDialRinging | Vytáčení se nezdařilo, protože byl právě detekován příchozí hovor (místní linka vyzvání).
drError | Vytáčení se nezdařilo, důvod neúspěchu není znám.

Pozor: Konstanty nejsou globální, ale jsou atributy objektu Line, proto je třeba se na ně odkazovat i s jménem objektu, např. Line.drHuman.

Viz také

Dial, HangUp, IsHangedUp


Metoda HangUp

Metoda HangUp Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda HangUp zavěsí zvednutou linku.

Syntaxe

Line.HangUp

Viz také

Answer, Dial, IsHangedUp


Metoda PlayBuffer

Metoda PlayBuffer Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda PlayBuffer přehraje seznam WAVů vytvořený metodou BufferWAV. WAVy jsou přehrávány těsně za sebou bez prodlev. Po přehrání je seznam WAVů vyprázdněn.

Syntaxe

Input = Line.PlayBuffer(StopChars)

Parametry

Parametr | Popis
StopChars | String obsahující DTMF znaky, jejichž stisknutím volající ukončí přehrávání.

Návratová hodnota

Pokud volající během přehrávání stiskne některý ze znaků uvedených v parametru StopChars, je vrácen tento znak. V opačném případě je vrácena hodnota Empty a to i v případě, že volající stiskl některý ze znaků, který není uveden v parametru StopChars.

Příklad

Line.BufferWAV "question.wav"
Answer = Line.PlayBuffer("*#")

Viz také

BufferWAV, PlayDelimiter, PlayWAV


Metoda PlayDelimiter

Metoda PlayDelimiter Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda PlayDelimiter přehraje krátké pípnutí. Také smaže případný dosud nezpracovaný uživatelův vstup. Metodu je možno použít jako oddělovač mezi jednotlivými pokyny volajícímu.

Syntaxe

Line.PlayDelimiter

Viz také

BufferWAV, PlayBuffer, PlayWAV


Metoda PlayWAV

Metoda PlayWAV Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda PlayWAV přehraje seznam WAVů. Pokud jsou nějaké WAVy v seznamu vytvořeném metodou BufferWAV, jsou přehrány ještě před WAVy v parametru WAVList. Všechny WAVy jsou přehrávány těsně za sebou bez prodlev. Po přehrání je seznam WAVů vyprázdněn.

Syntaxe

Input = Line.PlayWAV(WAVList, StopChars)

Parametry

Parametr | Popis
WAVList | String obsahující jméno WAVu nebo seznam WAVů.
StopChars | String obsahující DTMF znaky, jejichž stisknutím volající ukončí přehrávání.

Návratová hodnota

Pokud volající během přehrávání stiskne některý ze znaků uvedených v parametru StopChars, je vrácen tento znak. V opačném případě je vrácena hodnota Empty a to i v případě, že volající stiskl některý ze znaků, který není uveden v parametru StopChars.

Příklad

Answer = Line.PlayWAV("question.wav", "*#")

Viz také

BufferWAV, PlayBuffer, PlayDelimiter, Seznam WAVů


Metoda ReceiveDTMF

Metoda ReceiveDTMF Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda ReceiveDTMF poslouchá na lince a vrátí přijaté DTMF.

Syntaxe

Line.ReceivedDTMF(Timeout, StopChars)

Parametry

Parametr | Popis
Timeout | Integer obsahující počet milisekund, po kterou bude DTMF přijímáno.
StopChars | String obsahující DTMF kódy, po jejichž přijetí bude přijímání okamžitě ukončeno.

Návratová hodnota

Metoda vrací String obsahující přijaté DTMF. Pokud nebyl rozeznán žádný DTMF kód, je vrácen prázdný řetězec (nikoliv hodnota Empty). Pokud byl příjem ukončen přijetím znaku ze StopChars, je vrácen i tento znak.

Viz také

Ask, AskChar, AskExt, AskFix, AskFixRev, AskRev, SendDTMF


Metoda ReceiveFax

Metoda ReceiveFax Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda ReceiveFax přijme na zvednuté lince fax a uloží ho do TIFF souboru.

Syntaxe

Result = Line.ReciveFax(TIFFFile, LocalCSID)

Parametry

Parametr | Popis
TIFFFile | String obsahující jméno TIFF souboru který bude vytvořen.
LocalCSID | String obsahující místní faxové CSID nebo Empty.

Návratová hodnota

Metoda vrací hodnotu 1, pokud odeslání faxu proběhlo úspěšně.


Metoda RecordWAV

Metoda RecordWAV Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda RecordWAV nahraje WAV. Nahrávání je ukončeno buď stisknutím některého ze znaků v parametru StopChars, nebo pokud se nahrává po dobu delší, než je hodnota atributu MaxRecLen nebo pokud je na lince detekováno ticho po dobu delší, než je hodnota atributu MaxRecSilence.

WAV je uložen do souboru, jehož jméno je uvedeno v parametru WAVName. Pokud má WAVName hodnotu Emtpy, je jméno souboru zvoleno automaticky a jeho jméno je vráceno v parametru WAVName. Z pořízené nahrávky je odstraněno ticho na začátku a na konci.

Syntaxe

Input = Line.RecordWAV(StopChars, WAVName)

Parametry

Parametr | Popis
StopChars | String obsahující DTMF kódy, po jejichž přijetí bude nahrávání okamžitě ukončeno.
WAVName | String obsahující jméno souboru, do kterého má být WAV nahrán nebo hodnota Empty. WAVName je výstupní parametr a pokud je jeho hodnota Empty, je v něm vráceno automaticky zvolené jméno souboru.

Návratová hodnota

Metoda vrací znak, kterým bylo nahrávání ukončeno, nebo hodnotu Empty, pokud nebyl stisknut žádný ze znaků v StopChars.

Pokud je má WAVName hodnotu Empty je v tomto parametru vráceno automaticky zvolené jméno souboru s nahrávkou.

Viz také

MaxRecLen, MaxRecSilence, RecordWAVChck


Metoda RecordWAVChck

Metoda RecordWAVChck Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda RecordWAVChck přehraje WAV s instrukcemi volajícímu a nahraje WAV. Nahrávání je ukončeno buď stisknutím některého ze znaků v parametru StopChars, nebo pokud se nahrává po dobu delší, než je hodnota atributu MaxRecLen nebo pokud je na lince detekováno ticho po dobu delší, než je hodnota atributu MaxRecSilence.

WAV je uložen do souboru, jehož jméno je uvedeno v parametru WAVName. Pokud má WAVName hodnotu Emtpy, je jméno souboru zvoleno automaticky a jeho jméno je vráceno v parametru WAVName. Z pořízené nahrávky je odstraněno ticho na začátku a na konci.

Po nahrání WAVu je zkontrolována jeho délka. Pokud je délka nahrávky menší, než hodnota atributu MinRecLen, je nahrávka smazána. Pak je přehrán WAV v parametru TooShortWAVName. A jeden z WAVů RecAgainWAVName (pokud bylo nahrávání ukončeno stisknutím znaku z StopChars) nebo WAV RecAgainQstWAVName (pokud bylo nahrávání ukončeno jinak - v tom případě musí volající pro opětovné nahrání nejprve stisknout křížek). Pak jsou znovu přehrány instrukce InstrWAVName a volající může nahrát WAV znovu.

Syntaxe

Input = Line.RecordWAVChck(InstrWAVName, TooShortWAVName,
                           RecAgainWAVName, RecAgainQstWAVName,
                           StopChars, WAVName)

Parametry

Parametr | Popis
InstrWAVName | String obsahující jméno WAVu nebo seznam WAVů s instrukcemi pro volajícího.
TooShortWAVName | String obsahující jméno WAVu nebo seznam WAVů, který je přehrán, pokud byl nahraný WAV příliš krátký. Doporučený obsah nahrávky je: "Nahrávka byla příliš krátká nebo nesrozumitelná."
RecAgainWAVName | String obsahující jméno WAVu nebo seznam WAVů, který je přehrán, pokud bylo nahrávání krátkého WAVu ukončeno stisknutím znaku ze StopChars. Doporučený obsah nahrávky je: "Nahrajte ji znovu."
RecAgainQstWAVName | String obsahující jméno WAVu nebo seznam WAVů, který je přehrán, pokud nebylo nahrávání krátkého WAVu ukončeno stisknutím znaku ze StopChars. Doporučený obsah nahrávky je: "Stiskněte křížek pro opakované nahrání."
StopChars | String obsahující DTMF kódy, po jejichž přijetí bude nahrávání okamžitě ukončeno.
WAVName | String obsahující jméno souboru, do kterého má být WAV nahrán nebo hodnota Empty. WAVName je výstupní parametr a pokud je jeho hodnota Empty, je v něm vráceno automaticky zvolené jméno souboru.

Návratová hodnota

Metoda vrací znak, kterým bylo nahrávání ukončeno, nebo hodnotu Empty, pokud nebyl stisknut žádný ze znaků v StopChars.

Pokud je má WAVName hodnotu Empty je v tomto parametru vráceno automaticky zvolené jméno souboru s nahrávkou.

Viz také

MaxRecLen, MaxRecSilence, MinRecLen, RecordWAV, Seznam WAVů


Metoda SendDTMF

Metoda SendDTMF Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda SendDTMF vygeneruje posloupnost DTMF kódu a odešle ji po lince.

Syntaxe

Line.SendDTMF DTMF

Parametry

Parametr | Popis
DTMF | String obsahující DTMF k odeslání.

Viz také

ReceiveDTMF


Metoda SendFax

Metoda SendFax Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda SendFax odešle TIFF soubor jako fax po zvednuté lince.

Syntaxe

Result = Line.SendFax(TIFFFile, LocalCSID, DPI)

Parametry

Parametr | Popis
TIFFFile | String obsahující jméno TIFF souboru určeného k odeslání.
LocalCSID | String obsahující místní faxové CSID nebo Empty.
DPI | Integer obsahující hodnotu 100 (mající význam 98 dpi) nebo hodnotu 200 (mající význam 196 dpi) nebo Empty.

Návratová hodnota

Metoda vrací hodnotu 1, pokud odeslání faxu proběhlo úspěšně.


Metoda Transfer

Metoda Transfer Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda Transfer přesměruje zvednutý hovor na telefonní číslo Number.

Syntaxe

Result = Line.Transfer(Number)

Parametry

Parametr | Popis
Number | String obsahující telefonní číslo.

Návratová hodnota

Návratová hodnota je Integer odpovídající jedné z těchto konstant:

Hodnota | Popis
drOK | Vytáčení se zdařilo a nejsou známy podrobnější informace.
drHuman | Vytáčení se zdařilo a na druhé straně byl detekován člověk.
drFax | Vytáčení se zdařilo a na druhé straně byl detekován fax.
drSilence | Vytáčení se zdařilo a na druhé straně je ticho.
drBusy | Vytáčení se nezdařilo, protože volaná linka je obsazena.
drNoAnswer | Vytáčení se nezdařilo, protože volanou linku nikdo nezvedl.
drDialRinging | Vytáčení se nezdařilo, protože byl právě detekován příchozí hovor (místní linka vyzvání).
drError | Vytáčení se nezdařilo, důvod neúspěchu není znám.

Pozor: Konstanty nejsou globální, ale jsou atributy objektu Line, proto je třeba se na ně odkazovat i s jménem objektu, např. Line.drHuman.

Příklad

Result = Line.Transfer("123") ' Přesměrováno na linku 123


Metoda TransferEx

Metoda TransferEx Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda TransferEx přesměruje zvednutý hovor na telefonní číslo Number.

Syntaxe

Result = Line.TransferEx(Number, Timeout)

Parametry

Parametr | Popis
Number | String obsahující telefonní číslo.
Timeout | Integer obsahující maximální dobu vyzvánění v sekundách před zavěšením vrácením drNoAnswer. Pokud je Empty, bude použita implementačně závislá implicitní hodnota.

Návratová hodnota

Návratová hodnota je Integer odpovídající jedné z těchto konstant:

Hodnota | Popis
drOK | Vytáčení se zdařilo a nejsou známy podrobnější informace.
drHuman | Vytáčení se zdařilo a na druhé straně byl detekován člověk.
drFax | Vytáčení se zdařilo a na druhé straně byl detekován fax.
drSilence | Vytáčení se zdařilo a na druhé straně je ticho.
drBusy | Vytáčení se nezdařilo, protože volaná linka je obsazena.
drNoAnswer | Vytáčení se nezdařilo, protože volanou linku nikdo nezvedl.
drDialRinging | Vytáčení se nezdařilo, protože byl právě detekován příchozí hovor (místní linka vyzvání).
drError | Vytáčení se nezdařilo, důvod neúspěchu není znám.

Pozor: Konstanty nejsou globální, ale jsou atributy objektu Line, proto je třeba se na ně odkazovat i s jménem objektu, např. Line.drHuman.

Příklad

Result = Line.TransferEx("123", 15) ' Přesměrováno na linku 123, na zvednutí se bude čekat maximálně 15 sekund


Objekt Log

Objekt Log Reference VoiceChange skriptu
Verze

Popis

Globální objekt Log je vytvořen během inicializace skriptu. Umožňuje zapisovat hlášení do logu pro účely ladění aplikace.

Metody

Jméno | Popis
PanicErr | Zapíše do logu hlášení o chybě a ukončí skript.
Write | Zapíše hlášení do logu.

Konfigurace

Log používá tyto konfigurační položky:

Konfigurační soubor | Popis | Implicitní hodnota | Příklad
$Log.FileName | Jméno souboru logu. Může obsahovat zástupné symboly %l (jméno linky), %d (datum) a %t (čas). | common\logfiles\%l_%d.log | C:\Temp\%l_%d_%t.log


Metoda PanicErr

Metoda PanicErr Reference VoiceChange skriptu
Verze
Objekt Log

Popis

Metoda PanicErr umožňuje ukončit skriptovou aplikaci v případě výskytu kritické chyby. Metoda zapíše do souboru logu hlášení Msg a informace o chybě Error. Poté je skript ukončen.

Pokud má být skript ukončen proto, že byla zjištěna chyba VB skriptu za běhu (VBScript run-time error), je možné metodě PanicErr předat jako parametr globální objekt VBScriptu Err. Do logu pak budou zapsány podrobné informace o této chybě (číslo, popis a zdroj chyby). Pokud je skript ukončován z jiného důvodu, musí být hodnota parametru Error Empty.

Syntaxe

Log.PanicErr Msg, Error

Parametry

Parametr | Popis
Msg | String obsahující text hlášení.
Error | Globální objekt VBScriptu Err nebo Empty.

Příklad

V následujícím přikladu vznikne chyba za běhu "dělení nulou":

On Error Resume Next
Vysledek = 1 / 0
If Err Then Log.PanicErr "Chyba pri vypoctu", Err


Metoda AppLog.Write

Metoda Write Reference VoiceChange skriptu
Verze
Objekt Log

Popis

Metoda Write zapíše hlášení do logu.

Syntaxe

Log.Write Msg

Parametry

Parametr | Popis
Msg | String obsahující text hlášení.

Příklad

Sub OnRing
    Dim CallResult

    Line.Answer
    AppLog.Write "my application", "call.start", Empty

    ... ' process application and set CallResult value

    If CallResult = "OK" Then
        AppLog.Write "my application", "call.end.ok", Empty
    Else
        AppLog.Write "my application", "call.end.fail", CallResult
    End If
    Line.HangUp
End Sub


Objekt Speaker

Objekt Speaker Reference VoiceChange skriptu
Verze

Popis

Globální objekt Speaker je vytvořen během inicializace skriptu. Umožňuje přehrávání zpráv obsahujících číselné a časové údaje jednotným způsobem bez závislosti na aktuálně nastaveném národním prostředí.

Spekaer sám WAVy nepřehrává, pouze sestavuje seznam WAVů, které je třeba přehrát a tento seznam pak může programátor předat například metodě Line.PlayWAV.

Objekt Speaker se dá použít především pro přehrávání telefonních čísel. Dále je možné přehrávat počet znaků, počet nových a uložených zpráv a určení dne a času. Pro přehrávání dalších zpráv obsahujících čísla je obvykle potřeba přidat pro každou jazykovou mutaci metodu, která použije interní metodu Number lokalizovaných objektů Speaker v požadované gramatické formě. Jako vzor takových metod mohou sloužit již hotové metody. Podrobněji je toto téma probíráno v dokumentu o překladu VoiceChange do jiných jazyků.

Metody

Jméno | Popis
CharCount | Vrátí seznam WAVů pro přeříkání počtu znaků.
DateAndTimeRelative | Vrátí seznam WAVů pro přeříkání údaje o čase relativně k současnosti.
MessagesCount | Vrátí seznam WAVů pro přeříkání počtu všech a/nebo nevyslechnutých zpráv.
PhoneNumber | Vrátí seznam WAVů pro přeříkání telefonního čísla.

Viz také

Seznam WAVů


Metoda CharCount

Metoda CharCount Reference VoiceChange skriptu
Verze
Objekt Speaker

Popis

Metoda CharCount vrátí seznam WAVů pro přeříkání počtu znaků.

Syntaxe

WAVList = Speaker.CharCount(Count)

Parametry

Parametr | Popis
Count | Integer obsahující nezáporné číslo.

Návratová hodnota

Metoda vrací seznam WAVů, který je třeba přehrát pro vyslovení fráze "XXX znaků".

Viz také

Seznam WAVů


Metoda DateAndTimeRelative

Metoda DateAndTimeRelative Reference VoiceChange skriptu
Verze
Objekt Speaker

Popis

Metoda DateAndTimeRelative vrátí seznam WAVů pro přeříkání údaje o čase relativně k současnosti v jednom z tvarů:

  • "dnes v X hodin a Y minut"
  • "včera v X hodin a Y minut"
  • "1. ledna v X hodin a Y minut"

Syntaxe

WAVList = Speaker.DateAndTimeRelative(DateTime, Punctation)

Parametry

Parametr | Popis
DateTime | Date obsahující datum a čas, který má být vysloven.
Punctation String určující interpunkci. Platné hodnoty jsou:
  • "" (prázdný řetězec) - číslo bude vysloveno bez poklesu hlasu na konci.
  • "," (čárka) - číslo bude vysloveno z pomlkou na konci.
  • "." (tečka) - číslo bude vysloveno s poklesem hlasu na konci.

V některých jazycích v závislosti na kvalitě nahrávek může být interpunkce ignorována.

Návratová hodnota

Metoda vrací seznam WAVů, který je třeba přehrát pro vyslovení informace o času.

Viz také

Seznam WAVů


Metoda MessagesCount

Metoda MessagesCount Reference VoiceChange skriptu
Verze
Objekt Speaker

Popis

Metoda MessagesCount vrátí seznam WAVů pro přeříkání počtu všech a/nebo nevyslechnutých zpráv.

Pokud má TotalCount hodnotu Empty je vyslovován pouze počet nových zpráv. Pokud je UnreadCount rovno 0, je vyslovován pouze celkový počet zpráv.

Syntaxe

WAVList = Speaker.MessagesCount(TotalCount, UnreadCount)

Parametry

Parametr | Popis
TotalCount | Integer obsahující celkový počet zpráv nebo hodnota Emtpy.
UnreadCount | Integer obsahující počet nevyslechnutých zpráv.

Návratová hodnota

Metoda vrací seznam WAVů, který je třeba přehrát pro vyslovení fráze "Máte XXX zpráv. Z toho je YYY zpráv nových.".

Viz také

Seznam WAVů


Metoda PhoneNumber

Metoda PhoneNumber Reference VoiceChange skriptu
Verze
Objekt Speaker

Popis

Metoda PhoneNumber vrátí seznam WAVů pro přeříkání telefonního čísla.

Syntaxe

WAVList = Speaker.PhoneNumber(Number, Punctuation)

Parametry

Parametr | Popis
Number | String obsahující telefonní číslo. Number může obsahovat i znaky hvězdička a křížek (hash), které jsou správně přečteny. Number může obsahovat i znak plus, ten ale není čten nahlas.
Punctuation String určující interpunkci. Platné hodnoty jsou:
  • "" (prázdný řetězec) - číslo bude vysloveno bez poklesu hlasu na konci.
  • "," (čárka) - číslo bude vysloveno z pomlkou na konci.
  • "." (tečka) - číslo bude vysloveno s poklesem hlasu na konci.

V některých jazycích v závislosti na kvalitě nahrávek může být interpunkce ignorována.

Návratová hodnota

Metoda vrací seznam WAVů, který je třeba přehrát pro vyslovení čísla.

Příklad

V následujícím příkladu je použita metoda PhoneNumber s různou interpunkcí pro sestavení věty: "Linka číslo 234 je obsazena, budete přepojeni na linku číslo 456.".

Line.PlayWAV Array("LinkaCislo.wav", _
                   Speaker.PhoneNumber("234", ""), _
                   "JeObsazena.wav", _
                   "BudetePrepojeniNaLinkuCislo.wav", _
                   Speaker.PhoneNumber("456", ".") _
                  ), ""

Viz také

Seznam WAVů


Objekt UMSMonitor

Objekt UMSMonitor Reference VoiceChange skriptu
Verze

Popis

Globální objekt UMSMonitor je vytvořen během inicializace skriptu. Umožňuje poskytovat informace o běhu skriptu programu UMS Monitor.

Metody

Jméno Popis
Report,
Report1,
Report2,
Report3 		Předá UMS Monitoru informaci o stavu skriptu. Jednotlivé varianty se liší pouze počtem argumentů.

Konstanty

Jméno | Popis
etCurrent | Typ události "aktuální stav".
etLast | Typ událost "poslední dokončená akce".


Metoda Report

Metoda Report Reference VoiceChange skriptu
Verze
Objekt UMSMonitor

Popis

Metody Report, Report1, Report2 a Report3 a odvozené předají programu UMS Monitor informaci o stavu skriptu.

Syntaxe

UMSReport.Report EventType, EventNo
UMSReport.Report1 EventType, EventNo, Arg1
UMSReport.Report2 EventType, EventNo, Arg1, Arg2
UMSReport.Report3 EventType, EventNo, Arg1, Arg2, Arg3

Parametry

Parametr | Popis
EventType | String obsahující typ události. Je možné použít konstanty UMSMonitor.etCurrent a UMSMonitor.etLast.
EventNo | Integer obsahující identifikátor události.
Arg1 | První argument.
Arg2 | Druhý argument.
Arg3 | Třetí argument.


Objekt VXScript

Objekt VXScript Reference VoiceChange skriptu
Verze

Popis

Globální objekt VXScript je vytvořen během inicializace skriptu. Poskytuje informace o konfiguraci skriptu.

Atributy

Jméno | Popis
AppName | Název konfiguračního souboru skriptu.
AreaCodeEscape | Sekvence pro jednoznačné rozlišení směrových čísel oblastí.
DfltInternationalLocale | Kód implicitního národního prostředí pro volání z ciziny.
DfltLocale | Kód implicitního národního prostředí.
ExtNoLen | Délka čísel linek pobočkové ústředny.
FullAppName | Název souboru skriptu a konfiguračního souboru skriptu.
IdleFrequency | Prodleva mezi dvěmi voláními uživatelské procedury OnIdle.
InternationalAccessCode | Předvolba mezistátního volání.
LocalAreaCode | Směrové číslo oblasti.
LocalCountryCode | Směrové číslo země.
Locale | Kód právě používaného národního prostředí.
Log | Odkaz na objekt Log.
LongDistanceAccessCode | Předvolba meziměstského volání.
ModuleNames | Pole (Array) jmen všech nakonfigurovaných modulů.
PBXOutsideAccessCode | Předvolba pro přístup k vnější telefonní lince.
SuppLocales | Pole (Array) kódů všech podporovaných jazyků.
TempDir | Adresář pro dočasné soubory skriptu.
WorkDir | Pracovní adresář skriptu.

Metody

Jméno | Popis
CanonizeNo | Vrátí telefonní číslo v normativním formátu.
GetBoolParam,
GetBoolParamDflt 		Vrátí logickou hodnotu parametru v konfiguračním souboru skriptu.
GetIntParam,
GetIntParamDflt 		Vrátí celočíselnou hodnotu parametru v konfiguračním souboru skriptu.
GetModule | Vrátí odkaz na objekt modulu.
GetParam,
GetParamDflt 		Vrátí textovou hodnotu parametru v konfiguračním souboru skriptu.
GetRealParam,
GetRealParamDfl 		Vrátí reálnou číselnou hodnotu parametru v konfiguračním souboru skriptu.
IsExternalNo | Vrátí hodnotu True, pokud je telefonní číslo vnější.
IsForeignNo | Vrátí hodnotu True, pokud je telefonní číslo mezistátní.
IsInternalNo | Vrátí hodnotu True, pokud je telefonní číslo interní.
IsLocalNo | Vrátí hodnotu True, pokud je telefonní číslo místní.
IsLongDistanceNo | Vrátí hodnotu True, pokud je telefonní číslo meziměstské.
IsSuppLocale | Vrátí hodnotu True, pokud je národní prostředí podporováno.
LocalizeNo | Vrátí telefonní číslo v podobě, kterou je třeba vytáčet.


Atribut AppName

Atribut AppName Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Atribut AppName je String obsahující název konfiguračního souboru skriptu.

Atribut je pouze pro čtení.

Syntaxe

AppName = VXScript.AppName

Viz také

FullAppName


Atribut AreaCodeEscape

Atribut AreaCodeEscape Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Atribut AreaCodeEscape je String obsahující číslo, které je v některých zemích (např. v České republice) používáno pro jednoznačné rozlišení směrových čísel oblastí (měst), pokud mají různou délku. Hodnota může být v některých zemích také prázdný řetězec.

Hodnota atributu odpovídá hodnotě parametru $PhoneNumber.AreaCodeEscape v konfiguračních souborech skriptu.

Atribut je pouze pro čtení.

Syntaxe

AreaCodeEscape = VXScript.AreaCodeEscape

Viz také

InternationalAccessCode, LocalAreaCode, LocalCountryCode, LongDistanceAccessCode, PBXOutsideAccessCode


Atribut DfltInternationalLocale

Atribut DfltInternationalLocale Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Atribut DfltInternationalLocale je String obsahující kód implicitního národního prostředí pro volání z ciziny.

Hodnota atributu odpovídá hodnotě parametru $InternationalLocale v konfiguračních souborech skriptu.

Atribut je pouze pro čtení.

Syntaxe

DfltInternationalLocale = VXScript.DfltInternationalLocale

Viz také

DfltLocale, IsSuppLocale, Locale, SuppLocales


Atribut DfltLocale

Atribut DfltLocale Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Atribut DfltLocale je String obsahující kód implicitního národního prostředí.

Hodnota atributu odpovídá hodnotě parametru $Locale v konfiguračních souborech skriptu.

Atribut je pouze pro čtení.

Syntaxe

DfltLocale = VXScript.DfltLocale

Viz také

DfltInternationalLocale, IsSuppLocale, Locale, SuppLocales


Atribut ExtNoLen

Atribut ExtNoLen Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Atribut ExtNoLen je Integer obsahující počet číslic telefonních čísel linek pobočkové ústředny.

Hodnota atributu odpovídá hodnotě parametru $PABX.numlen v konfiguračních souborech skriptu.

Atribut je pouze pro čtení.

Syntaxe

ExtNoLen = VXScript.ExtNoLen

Viz také

PBXOutsideAccessCode


Atribut FullAppName

Atribut FullAppName Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Atribut FullAppName je String obsahující název souboru skriptu a konfiguračního souboru skriptu ve tvaru "C:\VoiceChange\line0.vbs (C:\VoiceChange\common\ini\line0.ini)".

Atribut je pouze pro čtení.

Syntaxe

FullAppName = VXScript.FullAppName

Viz také

AppName


Atribut IdleFrequency

Atribut IdleFrequency Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Atribut IdleFrequency je Integer obsahující délku prodlevy mezi dvěmi voláními uživatelské procedury OnIdle v milisekundách.

Pozor: procedura OnIdle je volána pouze během čekání na zavolání. Pokud jsou volání tak častá, že mezi zavěšením posledního a detekováním následujícího nikdy neuběhne doba IdleFreqency, nebude procedura OnIdle zavolána nikdy.

Rovněž je třeba myslet na to, že UMS Task Manager v delších intervalech restartuje běžící skripty. Příliš velké hodnoty IdleFrequency (v řádu hodin) proto nemají smysl.

Atribut je pro čtení a zápis.

Syntaxe

IdleFrequency = VXScript.IdleFrequency
VXScript.IdleFrequency = NewIdleFrequency

Viz také

OnIdle


Atribut InternationalAccessCode

Atribut InternationalAccessCode Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Atribut InternationalAccessCode je String obsahující předvolbu mezistátního volání.

Hodnota atributu odpovídá hodnotě parametru $PhoneNumber.InternationalAccessCode v konfiguračních souborech skriptu.

Atribut je pouze pro čtení.

Syntaxe

InternationalAccessCode = VXScript.InternationalAccessCode

Viz také

AreaCodeEscape, LocalAreaCode, LocalCountryCode, LongDistanceAccessCode, PBXOutsideAccessCode


Atribut LocalAreaCode

Atribut LocalAreaCode Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Atribut LocalAreaCode je String obsahující směrové číslo oblasti, k jejíž telefonní lince je VoiceChange připojena.

Hodnota atributu odpovídá hodnotě parametru $PhoneNumber.LocalAreaCode v konfiguračních souborech skriptu.

Atribut je pouze pro čtení.

Syntaxe

LocalAreaCode = VXScript.LocalAreaCode

Viz také

AreaCodeEscape, InternationalAccessCode, LocalCountryCode, LongDistanceAccessCode, PBXOutsideAccessCode


Atribut LocalCountryCode

Atribut LocalCountryCode Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Atribut LocalCountryCode je String obsahující směrové číslo země, k jejíž telefonní lince je VoiceChange připojena.

Hodnota atributu odpovídá hodnotě parametru $PhoneNumber.LocalCountryCode v konfiguračních souborech skriptu.

Atribut je pouze pro čtení.

Syntaxe

LocalCountryCode = VXScript.LocalCountryCode

Viz také

AreaCodeEscape, InternationalAccessCode, LocalAreaCode, LongDistanceAccessCode, PBXOutsideAccessCode


Atribut Locale

Atribut Locale Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Atribut Locale je String obsahující kód právě používaného národního prostředí.

Atribut je pro čtení a zápis.

Syntaxe

Locale = VXScript.Locale
VXScript.Locale = NewLocale

Viz také

DfltInternationalLocale, DfltLocale, IsSuppLocale, SuppLocales


Atribut Log

Atribut Log Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Atribut Log je Object obsahující objekt Log.

Atribut je pouze pro čtení.

Syntaxe

Set Log = VXScript.Log

Příklad

VXScript.Log.Write "Debug message"

Viz také

Objekt Log


Atribut LongDistanceAccessCode

Atribut LongDistanceAccessCode Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Atribut LongDistanceAccessCode je String obsahující předvolba meziměstského volání.

Hodnota atributu odpovídá hodnotě parametru $PhoneNumber.LongDistanceAccessCode v konfiguračních souborech skriptu.

Atribut je pouze pro čtení.

Syntaxe

LongDistanceAccessCode = VXScript.LongDistanceAccessCode

Viz také

AreaCodeEscape, InternationalAccessCode, LocalAreaCode, LocalCountryCode, PBXOutsideAccessCode


Atribut ModuleNames

Atribut ModuleNames Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Atribut ModuleNames je pole (Array) jmen všech nakonfigurovaných modulů.

Atribut je pouze pro čtení.

Syntaxe

ModuleNames = VXScript.ModuleNames

Příklad

Log.Write "Configured modules:"
For Each ModuleName In VXScript.ModuleNames
    Log.Write ModuleName
Next

Viz také

GetModule


Atribut PBXOutsideAccessCode

Atribut PBXOutsideAccessCode Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Atribut PBXOutsideAccessCode je String obsahující předvolbu pro přístup k vnější telefonní lince.

Hodnota atributu odpovídá hodnotě parametru $PhoneNumber.PBXOutsideAccessCode v konfiguračních souborech skriptu.

Atribut je pouze pro čtení.

Syntaxe

PBXOutsideAccessCode = VXScript.PBXOutsideAccessCode

Viz také

AreaCodeEscape, InternationalAccessCode, LocalAreaCode, LocalCountryCode, LongDistanceAccessCode


Atribut SuppLocales

Atribut SuppLocales Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Atribut SuppLocales je pole (Array) kódů všech podporovaných jazyků.

Hodnota atributu odpovídá hodnotě parametru $VXScript.SupportedLocales v konfiguračních souborech skriptu.

Atribut je pouze pro čtení.

Syntaxe

SuppLocales = VXScript.SuppLocales

Příklad

Log.Write "Supported locales:"
For Each Locale In VXScript.SuppLocales
    Log.Write Locale
Next

Viz také

DfltInternationalLocale, DfltLocale, IsSuppLocale, Locale


Atribut TempDir

Atribut TempDir Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Atribut TempDir je String obsahující jméno adresáře pro dočasné soubory skriptu.

Atribut je pouze pro čtení.

Syntaxe

TempDir = VXScript.TempDir

Viz také

WorkDir


Atribut WorkDir

Atribut WorkDir Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Atribut WorkDir je String obsahující jméno pracovního adresáře skriptu..

Hodnota atributu odpovídá hodnotě parametru $Dir.Work v konfiguračních souborech skriptu.

Atribut je pouze pro čtení.

Syntaxe

WorkDir = VXScript.WorkDir

Viz také

TempDir


Metoda CanonizeNo

Metoda CanonizeNo Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Metoda CanonizeNo vrátí telefonní číslo v normativním formátu.

Syntaxe

CanonizedNo = 	VXScript.CanonizeNo(Number)

Parametry

Parametr | Popis
Number | String obsahující telefonní číslo v podobě, ve které musí být vytáčeno (tj. včetně případné předvolby ústředny pro přístup k vnější lince).

Návratová hodnota

Metoda vrací String ve tvaru "+<směrové_číslo_země><směrové číslo oblasti><účastnické číslo>". Interní čísla jsou vrácena v původní podobě, tedy pouze číslo linky bez plusu a předvoleb na začátku.

Viz také

LocalizeNo


Metoda GetBoolParam

Metoda GetBoolParam Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Metoda GetBoolParam vrátí logickou hodnotu parametru v konfiguračním souboru skriptu.

Syntaxe

Value = VXScript.GetBoolParam(Name)
Value = VXScript.GetBoolParamDflt(Name, Dflt)

Parametry

Parametr | Popis
Name | String obsahující jméno parametru v konfiguračním souboru.
Dflt | Boolean obsahující hodnotu, která bude vrácena, pokud je hodnota parametru prázdná, nebo pokud není parametr v konfiguračním souboru skriptu nalezen.

Návratová hodnota

Metoda vrátí Boolean obsahující logickou hodnotu parametru. Hodnoty "true", "yes", "t", "y" (na velikosti písmen nezáleží) a číselné hodnoty různé od 0 v konfiguračním souboru jsou interpretovány jako True. Ostatní hodnoty jsou interpretovány jako False. Pokud je hodnota parametru prázdná nebo pokud není parametr v konfiguračním souboru skriptu nalezen, je vrácena hodnota Empty.

Viz také

GetIntParam, GetParam, GetRealParam


Metoda GetIntParam

Metoda GetIntParam Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Metoda GeIntParam vrátí celočíselnou hodnotu parametru v konfiguračním souboru skriptu.

Syntaxe

Value = VXScript.GetIntParam(Name)
Value = VXScript.GetIntParamDflt(Name, Dflt)

Parametry

Parametr | Popis
Name | String obsahující jméno parametru v konfiguračním souboru.
Dflt | Long obsahující hodnotu, která bude vrácena, pokud je hodnota parametru prázdná nebo ji nelze interpretovat jako číslo nebo pokud není parametr v konfiguračním souboru skriptu nalezen.

Návratová hodnota

Metoda vrátí Long obsahující celočíselnou hodnotu parametru. Neceločíselné hodnoty v konfiguračním souboru jsou zaokrouhleny. Pokud je hodnota parametru prázdná nebo ji nelze interpretovat jako číslo nebo pokud není parametr v konfiguračním souboru skriptu nalezen, je vrácena hodnota Empty.

Viz také

GetBoolParam, GetParam, GetRealParam


Metoda GetModule

Metoda GetModule Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Metoda GetModule vrátí odkaz na objekt modulu. Pokud není objekt modulu vytvořen, pokusí se ho metoda vytvořit podle nastavení v konfiguračním souboru skriptu.

Syntaxe

Set Module = VXScript.GetModule(Name)

Parametry

Parametr | Popis
Name | String obsahující jméno modulu.

Návratová hodnota

Metoda vrátí Object obsahující objekt požadovaného modulu. Pokud objekt nebyl před voláním metody vytvořen a vytvoření se nezdařilo, je skript ukončen s kritickou chybou.

Příklad

Set SpeakerENG = VXScript.GetModule("SpeakerENG")

Viz také

ModuleNames


Metoda GetParam

Metoda GetParam Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Metoda GetParam vrátí textovou hodnotu parametru v konfiguračním souboru skriptu.

Syntaxe

Value = VXScript.GetParam(Name)
Value = VXScript.GetParamDflt(Name, Dflt)

Parametry

Parametr | Popis
Name | String obsahující jméno parametru v konfiguračním souboru.
Dflt | String obsahující hodnotu, která bude vrácena, pokud je hodnota parametru prázdná, nebo pokud není parametr v konfiguračním souboru skriptu nalezen.

Návratová hodnota

Metoda vrátí String obsahující hodnotu parametru. Pokud je hodnota parametru prázdná, nebo pokud není parametr v konfiguračním souboru skriptu nalezen, je vrácena hodnota Empty.

Viz také

GetBoolParam, GetIntParam, GetRealParam


Metoda GetRealParam

Metoda GetRealParam Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Metoda GeRealParam vrátí reálnou číselnou hodnotu parametru v konfiguračním souboru skriptu.

Syntaxe

Value = VXScript.GetRealParam(Name)
Value = VXScript.GetRealParamDflt(Name, Dflt)

Parametry

Parametr | Popis
Name | String obsahující jméno parametru v konfiguračním souboru.
Dflt | Double obsahující hodnotu, která bude vrácena, pokud je hodnota parametru prázdná nebo ji nelze interpretovat jako číslo nebo pokud není parametr v konfiguračním souboru skriptu nalezen.

Návratová hodnota

Metoda vrátí Double obsahující reálnou číselnou hodnotu parametru. Pokud je hodnota parametru prázdná nebo ji nelze interpretovat jako číslo nebo pokud není parametr v konfiguračním souboru skriptu nalezen, je vrácena hodnota Empty.

Viz také

GetBoolParam, GetIntParam, GetParam


Metoda IsExternalNo

Metoda IsExternalNo Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Metoda IsExternalNo vrátí hodnotu True, pokud je telefonní číslo vnější (místní, meziměstské nebo mezistátní).

Syntaxe

IsExternalNo = VXScript.IsExternalNo(Number)

Parametry

Parametr | Popis
Number | String obsahující telefonní číslo v normativním tvaru.

Návratová hodnota

Metoda vrátí hodnotu True, pokud je telefonní číslo vnější. V opačném případě vrátí hodnotu False.

Viz také

IsForeignNo, IsInternalNo, IsLocalNo, IsLongDistanceNo


Metoda IsForeignNo

Metoda IsForeignNo Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Metoda IsForeignNo vrátí hodnotu True, pokud je telefonní číslo mezistátní.

Syntaxe

IsForeignNo = VXScript.IsForeignNo(Number)

Parametry

Parametr | Popis
Number | String obsahující telefonní číslo v normativním tvaru.

Návratová hodnota

Metoda vrátí hodnotu True, pokud je telefonní číslo mezistátní. V opačném případě vrátí hodnotu False.

Viz také

IsExternalNo, IsInternalNo, IsLocalNo, IsLongDistanceNo


Metoda IsInternalNo

Metoda IsInternalNo Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Metoda IsInternalNo vrátí hodnotu True, pokud je telefonní číslo interní.

Syntaxe

IsInternalNo = VXScript.IsInternalNo(Number)

Parametry

Parametr | Popis
Number | String obsahující telefonní číslo v normativním tvaru.

Návratová hodnota

Metoda vrátí hodnotu True, pokud je telefonní číslo interní. V opačném případě vrátí hodnotu False.

Viz také

IsExternalNo, IsForeignNo, IsLocalNo, IsLongDistanceNo


Metoda IsLocalNo

Metoda IsLocalNo Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Metoda IsLocalNo vrátí hodnotu True, pokud je telefonní číslo místní.

Syntaxe

IsLocalNo = VXScript.IsLocalNo(Number)

Parametry

Parametr | Popis
Number | String obsahující telefonní číslo v normativním tvaru.

Návratová hodnota

Metoda vrátí hodnotu True, pokud je telefonní číslo místní. V opačném případě vrátí hodnotu False.

Viz také

IsExternalNo, IsForeignNo, IsInternalNo, IsLongDistanceNo


Metoda LongDistanceNo

Metoda IsLongDistanceNo Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Metoda IsLongDistanceNo vrátí hodnotu True, pokud je telefonní číslo interní.

Syntaxe

IsLongDistanceNo = VXScript.IsLongDistanceNo(Number)

Parametry

Parametr | Popis
Number | String obsahující telefonní číslo v normativním tvaru.

Návratová hodnota

Metoda vrátí hodnotu True, pokud je telefonní číslo interní. V opačném případě vrátí hodnotu False.

Viz také

IsExternalNo, IsForeignNo, IsInternalNo, IsLocalNo


Metoda IsSuppLocale

Metoda IsSuppLocale Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Metoda IsSuppLocale vrátí hodnotu True, pokud je národní prostředí podporováno.

Syntaxe

IsSuppLocale = VXScript.IsSuppLocale(Locale)

Parametry

Parametr | Popis
Locale | String obsahující kód národního prostředí.

Návratová hodnota

Metoda vrátí hodnotu True, pokud je národní prostředí podporováno. V opačném případě vrátí hodnotu False.

Příklad

If VXVoice.IsSuppLocale("ENG") Then
    VXVoice.Locale = "ENG"
Else
    VXVoice.Locale = VXVoice.DfltLocale
End If

Viz také

DfltInternationalLocale, DfltLocale, Locale, SuppLocales


Metoda LocalizeNo

Metoda LocalizeNo Reference VoiceChange skriptu
Verze
Objekt VXScript

Popis

Metoda LocalizeNo vrátí telefonní číslo v podobě, kterou je třeba vytáčet, pokud voláme z oblasti, k jejíž telefonní síti je VoiceChange připojena. Vrácené číslo neobsahuje předvolbu ústředny pro přístup k vnější lince. Interní čísla jsou vrácena v nezměněné podobě (bez jakýchkoliv převoleb).

Syntaxe

LocalizedNo = 	VXScript.LocalizeNo(Number)

Parametry

Parametr | Popis
Number | String obsahující telefonní číslo v normativním formátu.

Návratová hodnota

Metoda vrátí String obsahujcí telefonní číslo v podobě, kterou je třeba vytáčet.

Viz také

CanonizeNo


Objekt Menu

Objekt Menu Reference VoiceChange skriptu
Verze

Popis

Objekt Menu usnadňuje vytváření hlasových menu.

Atributy

Jméno | Popis
StopChars | Platné volby hlasového menu.
WAVList | Seznam WAVů hlasového menu.

Metody

Jméno | Popis
Add | Přidá volbu do menu.
Clear | Smaže všechny volby z menu.
CondAdd | Přidá podmíněnou volbu do menu.
WAVCondAdd | Přidá do menu volbu, která může být zamlčená.

Příklad

' Set conditions
Option2Enabled = True
SayOption3 = False

' Build menu
Set Menu = CreateObject("VXScripting.Menu")
Menu.Clear
Menu.Add "Press1ForOption1.wav", "1"
Menu.CondAdd Option2Enabled, "Press2ForOption2.wav", "2"
Menu.WAVCondAdd True, SayOption3, "Press3ForOption3.wav", "3"

' Play menu
Option = Line.AskChar Menu.WAVList, Menu.StopChars


Atribut StopChars

Atribut StopChars Reference VoiceChange skriptu
Verze
Objekt Menu

Popis

Atribut StopChars je String obsahující seznam platných voleb vytvořeného hlasové menu.

Atribut je pouze pro čtení.

Syntaxe

StopChars = Menu.StopChars

Viz také

WAVList


Atribut WAVList

Atribut WAVList Reference VoiceChange skriptu
Verze
Objekt Menu

Popis

Atribut WAVList je seznam WAVů, který tvoří vytvořené hlasové menu.

Atribut je pouze pro čtení.

Syntaxe

WAVList = Menu.WAVList

Viz také

StopChars


Metoda Add

Metoda Add Reference VoiceChange skriptu
Verze
Objekt Menu

Popis

Metoda Add přidá volbu do menu.

Syntaxe

Menu.Add WAVName, StopChars

Parametry

Parametr | Popis
WAVName | String obsahující jméno WAVu s volbou nebo hodnota Empty - pak jde o tichou volbu, která není volajícímu sdělena, ale může ji volit.
StopChars | String obsahující znaky, které zpřístupňují tuto volbu. Obvykle je to jeden znak, ale může jich být i více.

Viz také

CondAdd, WAVCondAdd


Metoda Clear

Metoda Clear Reference VoiceChange skriptu
Verze
Objekt Menu

Popis

Metoda Clear smaže všechny volby z menu. Tato metoda musí být zavolána i před přidáním první volby do menu.

Syntaxe

Menu.Clear

Viz také

Add, CondAdd, WAVCondAdd


Metoda CondAdd

Metoda CondAdd Reference VoiceChange skriptu
Verze
Objekt Menu

Popis

Metoda CondAdd přidá podmíněnou volbu do menu.

Syntaxe

Menu.CondAdd Cond, WAVName, StopChars

Parametry

Parametr | Popis
Cond Pokud má hodnotu True, volba je do menu přidána. Pokud má hodnotu False, volba do menu přidána není.

Pokud se změní podmínka po přidání volby, není tím menu nijak ovlivněno. Proto je vhodné vybudovat menu vždy znovu těsně před přehráním.

WAVName | String obsahující jméno WAVu s volbou nebo hodnota Empty - pak jde o tichou volbu, která není volajícímu sdělena, ale může ji volit.
StopChars | String obsahující znaky, které zpřístupňují tuto volbu. Obvykle je to jeden znak, ale může jich být i více.

Viz také

Add, WAVCondAdd


Metoda WAVCondAdd

Metoda WAVCondAdd Reference VoiceChange skriptu
Verze
Objekt Menu

Popis

Metoda WAVCondAdd přidá do menu volbu, která může být zamlčená.

Syntaxe

Menu.WAVCondAdd Cond, WAVCond, WAVName, StopChars

Parametry

Parametr | Popis
Cond Pokud má hodnotu True, volba je do menu přidána. Pokud má hodnotu False, volba do menu přidána není.

Pokud se změní podmínka po přidání volby, není tím menu nijak ovlivněno. Proto je vhodné vybudovat menu vždy znovu těsně před přehráním.

WAVCond | Pokud má hodnotu True, bude WAV volby WAVName přehráván. Pokud má hodnotu False, volba je do menu přidána jako tichá, tj. WAV není přehráván.
WAVName | String obsahující jméno WAVu s volbou nebo hodnota Empty - pak jde o tichou volbu, která není volajícímu sdělena, ale může ji volit.
StopChars | String obsahující znaky, které zpřístupňují tuto volbu. Obvykle je to jeden znak, ale může jich být i více.

Viz také

Add, CondAdd


Objekt Message

Objekt Message Reference VoiceChange skriptu
Verze

Popis

Objekt Message poskytuje informace o jedné zprávě uložené v hlasové schránce.

Atributy

Jméno | Popis
From | Telefonní číslo osoby, která zprávu zanechala.
Priority | Důležitost zprávy.
Received | Datum a čas přijetí zprávy.
Unread | Má hodnotu True, pokud zpráva zatím nebyla majitelem vyslechnuta.

Metody

Jméno | Popis
Fetch | Uloží zprávu ve formátu WAV do souboru na disku.


Atribut From

Atribut From Reference VoiceChange skriptu
Verze
Objekt Message

Popis

Atribut From je String obsahující telefonní číslo osoby, která zprávu zanechala. Pokud není číslo známo, má atribut hodnotu Empty.

Atribut je pouze pro čtení.

Syntaxe

From = Message.From

Viz také

Priority, Received, Unread


Atribut Priority

Atribut Priority Reference VoiceChange skriptu
Verze
Objekt Message

Popis

Atribut Priority je Integer obsahující příznak důležitosti zprávy. Používané hodnoty jsou:

Hodnota | Popis
1 | Normální důležitost.
2 | Vysoká důležitos.

Atribut je pouze pro čtení.

Syntaxe

Priority = Message.Priority

Viz také

From, Received, Unread


Atribut Received

Atribut Received Reference VoiceChange skriptu
Verze
Objekt Message

Popis

Atribut Received je Date obsahující datum a čas přijetí zprávy.

Atribut je pouze pro čtení.

Syntaxe

Received = Message.Received

Viz také

From, Priority, Unread


Atribut Unread

Atribut Unread Reference VoiceChange skriptu
Verze
Objekt Message

Popis

Atribut Unread má hodnotu True, pokud zpráva zatím nebyla majitelem vyslechnuta. V opačném případě má hodnotu False.

Atribut je pro čtení a zápis.

Syntaxe

Unread = Message.Unread
Message.Unread = NewUnreadValue

Viz také

From, Priority, Received


Metoda Fetch

Metoda Fetch Reference VoiceChange skriptu
Verze
Objekt Message

Popis

Metoda Fetch uloží zprávu ve formátu WAV do souboru na disku.

Syntaxe

Result = Message.Fetch(WAVFileName)

Parametry

Parametr | Popis
WAVFileName | String obsahující jméno souboru, do kterého má být zpráva uložena

Návratová hodnota

Metoda vrátí hodnotu True, pokud bylo uložení zprávy úspěšné. V opačném případě vrátí hodnotu False.


Objekt VoiceBox

Objekt VoiceBox Reference VoiceChange skriptu
Verze

Popis

Objekt VoiceBox poskytuje informace o jedné hlasové schránce a umožňuje přístup ke zprávám v ní uloženým.

Atributy

Jméno | Popis
GreetingWAV | Jméno WAV souboru s osobním pozdravem.
IsAdmin | Má hodnotu True, pokud je schránka administrátorská.
IsVirtual | Má hodnotu True, pokud je schránka virtuální.
MobilePhoneNumbers | Pole mobilních telefonních čísel majitele schránky.
MsgsCount | Počet zpráv ve schránce.
Number | Číslo schránky.
Password | Heslo pro výběr schránky.
PrefLocale | Preferované národní prostředí majitele schránky.
Recipients | Pole emailových adres majitelů schránky.
SecurePhoneNumbers | Pole bezpečných telefonních čísel majitele schránky.
UnreadMsgsCount | Počet nevyslechnutých zpráv ve schránce.

Metody

Jméno | Popis
CheckForNewMsgs | Zkontroluje, zda nepřibyly do schránky nové zprávy.
DeleteAllMessages | Smaže všechny zprávy ve schránce.
DeleteMessage | Smaže zprávu ze schránky.
GetMessage | Vrátí objekt zprávy ve schránce.
Open | Otevře schránku pro práci s uloženými zprávami.
StoreMessage | Uloží novou zprávu do schránky.
UseGreeting | Změní osobní pozdrav majitele schránky.


Atribut GreetingWAV

Atribut GreetingWAV Reference VoiceChange skriptu
Verze
Objekt VoiceBox

Popis

Atribut GreetingWAV je String obsahující jméno WAV souboru s osobním pozdravem. Pokud nemá majitel schránky nahrán osobní pozdrav, je hodnota atributu Empty.

Atribut je pouze pro čtení.

Syntaxe

GreetingWAV = VoiceBox.GreetingWAV

Viz také

UseGreeting


Atribut IsAdmin

Atribut IsAdmin Reference VoiceChange skriptu
Verze
Objekt VoiceBox

Popis

Atribut IsAdmin má hodnotu True, pokud je schránka administrátorská. V opačném případě má atribut hodnotu False.

Atribut je pouze pro čtení.

Syntaxe

IsAdmin = VoiceBox.IsAdmin

Viz také

IsVirtual


Atribut IsVirtual

Atribut IsVirtual Reference VoiceChange skriptu
Verze
Objekt VoiceBox

Popis

Atribut IsVirtual má hodnotu True, pokud je schránka virtuální. V opačném případě má atribut hodnotu False.

Atribut je pouze pro čtení.

Syntaxe

IsVirtual = VoiceBox.IsVirtual

Viz také

IsAdmin


Atribut MobilePhoneNumbers

Atribut MobilePhoneNumbers Reference VoiceChange skriptu
Verze
Objekt VoiceBox

Popis

Atribut MobilePhoneNumbers je pole (Array) Stringů mobilních telefonních čísel majitele schránky.

Atribut je pouze pro čtení.

Syntaxe

MobilePhoneNumbers = VoiceBox.MobilePhoneNumbers

Viz také

Recipients, SecurePhoneNumbers


Atribut MsgsCount

Atribut MsgsCount Reference VoiceChange skriptu
Verze
Objekt VoiceBox

Popis

Atribut MsgsCount je Integer obsahující počet všech zpráv ve schránce. Dokud není schránka otevřena metodou Open, je hodnota atributu Empty.

Atribut je pouze pro čtení.

Syntaxe

MsgsCount = VoiceBox.MsgsCount

Viz také

Open, UnreadMsgsCount


Atribut Number

Atribut Number Reference VoiceChange skriptu
Verze
Objekt VoiceBox

Popis

Atribut Number je String obsahující číslo schránky.

Atribut je pouze pro čtení.

Syntaxe

Number = VoiceBox.Number


Atribut Password

Atribut Password Reference VoiceChange skriptu
Verze
Objekt VoiceBox

Popis

Atribut Password je String obsahující heslo majitele pro výběr schránky. Pokud není heslo zadáno, má atribut hodnotu Empty.

Atribut je pro čtení a zápis.

Syntaxe

Password = VoiceBox.Password
VoiceBox.Password = NewPassword


Atribut PrefLocale

Atribut PrefLocale Reference VoiceChange skriptu
Verze
Objekt VoiceBox

Popis

Atribut PrefLocale je String obsahující kód preferovaného národního prostředí majitele schránky. Pokud není preferované národní prostředí zvoleno, má atribut hodnotu Empty.

Atribut je pouze pro čtení.

Syntaxe

PrefLocale = VoiceBox.PrefLocale


Atribut Recipients

Atribut Recipients Reference VoiceChange skriptu
Verze
Objekt VoiceBox

Popis

Atribut Recipients je pole (Array) Stringů emailových adres majitelů schránky.

Atribut je pouze pro čtení.

Syntaxe

Recipients = VoiceBox.Recipients

Viz také

MobilePhoneNumbers, SecurePhoneNumbers


Atribut SecurePhoneNumbers

Atribut SecurePhoneNumbers Reference VoiceChange skriptu
Verze
Objekt VoiceBox

Popis

Atribut SecurePhoneNumbers je pole (Array) Stringů bezpečných telefonních čísel majitele schránky. To jsou ta telefonní čísla, ze kterých není při výběru schránky požadováno zadání přístupového hesla.

Atribut je pouze pro čtení.

Syntaxe

SecurePhoneNumbers = VoiceBox.SecurePhoneNumbers

Viz také

MobilePhoneNumbers, Recipients


Atribut UnreadMsgsCount

Atribut UnreadMsgsCount Reference VoiceChange skriptu
Verze
Objekt VoiceBox

Popis

Atribut UnreadMsgsCount je Integer obsahující počet dosud nevyslechnutých zpráv ve schránce. Dokud není schránka otevřena metodou Open, je hodnota atributu Empty.

Atribut je pouze pro čtení.

Syntaxe

UnreadMsgsCount = VoiceBox.UnreadMsgsCount

Viz také

MsgsCount, Open


Metoda CheckForNewMsgs

Metoda CheckForNewMsgs Reference VoiceChange skriptu
Verze
Objekt VoiceBox

Popis

Metoda CheckForNewMsgs zkontroluje, zda od otevření schránky nepřibyly do schránky nové zprávy.

Metodu nelze volat, dokud není schránka otevřena metodou Open.

Syntaxe

Result = VoiceBox.CheckForNewMsgs(Load)

Parametry

Parametr | Popis
Load | Pokud má hodnotu True, jsou aktualizovány hodnoty atributů MsgsCount a UnreadMsgsCount a nové zprávy je možné získat voláním GetMessage. Pokud má parametr Load hodnotu False, vrátí metoda pouze informaci o nalezení či nenalezení nových zpráv, ale nové zprávy nebudou dostupné.

Návratová hodnota

Metoda vrátí hodnotu True, pokud byly zjištěny nové zprávy ve schránce. V opačném případě vrátí hodnotu False.

Viz také

GetMessage, MsgsCount, Open, UnreadMsgsCount


Metoda DeleteAllMessages

Metoda DeleteAllMessages Reference VoiceChange skriptu
Verze
Objekt VoiceBox

Popis

Metoda DeleteMessage smaže všechny zprávy ve schránce.

Metodu nelze volat, dokud není schránka otevřena metodou Open.

Syntaxe

VoiceBox.DeleteAllMessage

Viz také

DeleteMessage, GetMessage, MsgsCount, Open


Metoda DeleteMessage

Metoda DeleteMessage Reference VoiceChange skriptu
Verze
Objekt VoiceBox

Popis

Metoda DeleteMessage smaže zprávu ze schránky. Smazáním zprávy dojde k přečíslování zpráv s vyšším pořadovým číslem (jejich pořadové číslo se zmenší o jedničku).

Metodu nelze volat, dokud není schránka otevřena metodou Open.

Syntaxe

VoiceBox.DeleteMessage MsgIdx

Parametry

Parametr | Popis
MsgIdx | Integer obsahující pořadové číslo zprávy ve schránce.

Viz také

DeleteAllMessages, GetMessage, MsgsCount, Open


Metoda GetMessage

Metoda GetMessage Reference VoiceChange skriptu
Verze
Objekt VoiceBox

Popis

Metoda GetMessage vrátí objekt zprávy uložené ve schránce.

Metodu nelze volat, dokud není schránka otevřena metodou Open.

Syntaxe

Set Message = VoiceBox.GetMessage(MsgIdx)

Parametry

Parametr | Popis
MsgIdx | Integer obsahující pořadové číslo zprávy ve schránce.

Návratová hodnota

Metoda GetMessage vrátí Object obsahující objekt zprávy Message. Pokud je MsgIdx mimo povolený rozsah (větší nebo rovný atributu MsgsCount), je vrácena hodnota Nothing.

Viz také

DeleteAllMessages, DeleteMessage, Message, MsgsCount, Open


Metoda Open

Metoda Open Reference VoiceChange skriptu
Verze
Objekt VoiceBox

Popis

Metoda Open otevře schránku pro práci s uloženými zprávami. Naplní atributy MsgsCount a UnreadMsgsCount správnými hodnotami.

Metodu nelze volat, pokud je schránka virtuální.

Syntaxe

VoiceBox.Open

Viz také

DeleteAllMessages, DeleteMessage, GetMessage, MsgsCount, UnreadMsgsCount


Metoda StoreMessage

Metoda StoreMessage Reference VoiceChange skriptu
Verze
Objekt VoiceBox

Popis

Metoda StoreMessage uloží novou zprávu do schránky. Schránka může být i virtuální a nemusí být otevřená metodou Open.

Syntaxe

VoiceBox.StoreMessage(From, WAVFile, Priority)

Parametry

Parametr | Popis
From | String obsahující telefonní číslo autora zprávy nebo hodnota Empty.
WAVFile | String obsahující jméno WAV souboru se zprávou.
Priority | Integer obsahující příznak důležitosti zprávy. Používané hodnoty jsou 1 pro normální důležitost a 2 pro vysokou důležitost.


Metoda UseGreeting

Metoda UseGreeting Reference VoiceChange skriptu
Verze
Objekt VoiceBox

Popis

Metoda UseGreeting změní osobní pozdrav majitele schránky.

Syntaxe

VoiceBox.UseGreeting WAVFile

Parametry

Parametr Popis
WAVFile String obsahující jméno WAV souboru s novým osobním pozdravem. Po zavolání metody UseGreeting je možné tento soubor smazat (metoda si udělá kopii).

Pokud má parametr WAVFile hodnotu Empty, metoda smaže osobní pozdrav.

Viz také

GreetingWAV


Modul CallerInfo

Modul CallerInfo Reference VoiceChange skriptu
Verze

Popis

Standardní modul CallerInfo je vytvořen během inicializace skriptu. Pokouší se identifikovat volajícího podle telefonního čísla, ze kterého volá (např. podle mobilního telefonu) a poskytuje informace o volajícím (číslo hlasové schránky a preferovaný jazyk).

Podle použitého hardwaru mohou být informace o volajícím dostupné ihned po detekci vyzvánění (tedy již při vstupu do uživatelské procedury OnRing, nebo až po přijmutí volání metodou Line.Answer.

Atributy

Jméno | Popis
BoxNumber | Číslo hlasové schránky volajícího.
IsRecognized | Má hodnotu True, pokud byl volající rozpoznán.
PrefLocale | Preferované národní prostředí volajícího.

Viz také

CallInfo, Line.Answer, OnRing


Atribut BoxNumber

Atribut BoxNumber Reference VoiceChange skriptu
Verze
Modul CallerInfo

Popis

Atribut BoxNumber je String obsahující číslo hlasové schránky volajícího. Pokud není číslo schránky známo, má atribut hodnotu Empty.

Atribut je pouze pro čtení.

Syntaxe

BoxNumber = CallerInfo.BoxNumber


Atribut IsRecognized

Atribut IsRecognized Reference VoiceChange skriptu
Verze
Modul CallerInfo

Popis

Atribut IsRecognized má hodnotu True, pokud byl volající rozpoznán. V opačném případě má atribut hodnotu False.

Atribut je pouze pro čtení.

Syntaxe

IsRecognized = CallerInfo.IsRecognized


Atribut PrefLocale

Atribut PrefLocale Reference VoiceChange skriptu
Verze
Modul CallerInfo

Popis

Atribut PrefLocale je String obsahující kód preferovaného národního prostředí volajícího. Pokud není preferované národní prostředí známo, má atribut hodnotu Empty.

Atribut je pouze pro čtení.

Syntaxe

PrefLocale = CallerInfo.PrefLocale


Modul CompGreeting

Modul CompGreeting Reference VoiceChange skriptu
Verze

Popis

Standardní modul CompGreeting je vytvořen během inicializace skriptu. Umožňuje přehrát firemní pozdrav a realizuje menu pro správu firemního pozdravu.

Metody

Jméno | Popis
Manage | Umožní volajícímu spravovat firemní pozdrav.
Play | Přehraje firemní pozdrav, pokud je zapnut.


Metoda Manage

Metoda Manage Reference VoiceChange skriptu
Verze
Modul CompGreeting

Popis

Metoda Manage umožní volajícímu spravovat firemní pozdrav - nahrát ho a vypnout nebo zapnout.

Syntaxe

CompGreeting.Manage MenuQuitWAV

Parametry

Parametr | Popis
MenuQuitWAV | String obsahující jméno WAV souboru s nahrávkou volby pro opuštění menu pro správu pozdravu.


Metoda Play

Metoda Play Reference VoiceChange skriptu
Verze
Modul CompGreeting

Popis

Metoda Play přehraje firemní pozdrav, pokud je zapnut.

Syntaxe

CompGreeting.Play


Modul FaxChange

Modul FaxChange Reference VoiceChange skriptu
Verze

Popis

Standardní modul FaxChange je vytvořen během inicializace skriptu. Umožňuje sdílet telefonní linku s FaxChangí.

Atributy

Jméno | Popis
DetectionActive | Má hodnotu True, pokud je zapnuta detekce příchozích faxů.
FaxDetected | Má hodnotu True, pokud byl detekován příchozí fax.
SendActive | Má hodnotu True, pokud je povoleno odesílaní faxů FaxChangí.

Metody

Jméno | Popis
ReceiveFax | Přijme příchozí fax.
SendWaitingFaxes | Umožní FaxChangi odeslat odchozí faxy.


Atribut DetectionActive

Atribut DetectionActive Reference VoiceChange skriptu
Verze
Modul FaxChange

Popis

Atribut DetectionActive má hodnotu True, pokud je zapnuta detekce příchozích faxů. V opačném případě má hodnotu False.

Počáteční hodnota atributu odpovídá hodnotě parametru $Line.FaxChange.Receive v konfiguračních souborech skriptu.

Atribut je pro čtení a zápis.

Syntaxe

DetectionActive = FaxChange.DetectionActive
FaxChange.DetectionActive = NewDetectionActiveValue

Viz také

FaxDetected, ReceiveFax


Atribut FaxDetected

Atribut FaxDetected Reference VoiceChange skriptu
Verze
Modul FaxChange

Popis

Atribut FaxDetected má hodnotu True, pokud byl detekován příchozí fax. V opačném případě má hodnotu False.

Detekce příchozích faxů je prováděna po zvednutí příchozího hovoru a může trvat několik vteřin. Detekce je prováděna pouze v případě, že atribut DetectionActive má hodnotu True.

Atribut je pouze pro čtení.

Syntaxe

FaxDetected = FaxChange.FaxDetected

Příklad

Line.Answer
If FaxChange.FaxDetected Then FaxChange.ReceiveFax

Viz také

DetectionActive, Line.Anser, ReceiveFax


Atribut SendActive

Atribut SendActive Reference VoiceChange skriptu
Verze
Modul FaxChange

Popis

Atribut SendActive má hodnotu True, pokud je povoleno odesílaní faxů FaxChangí.. V opačném případě má hodnotu False.

Počáteční hodnota atributu odpovídá hodnotě parametru $Line.FaxChange.Send v konfiguračních souborech skriptu.

Atribut je pro čtení a zápis.

Syntaxe

SendActive = FaxChange.SendActive
FaxChange.SendActive = NewSendActiveValue

Viz také

SendWaitingFaxes


Metoda ReceiveFax

Metoda ReceiveFax Reference VoiceChange skriptu
Verze
Modul FaxChange

Popis

Metoda ReceiveFax přijme příchozí fax.

Syntaxe

FaxChange.ReceiveFax

Příklad

Line.Answer
If FaxChange.FaxDetected Then FaxChange.ReceiveFax

Viz také

DetectionActive, FaxDetected


Metoda SendWaitingFaxes

Metoda SendWaitingFaxes Reference VoiceChange skriptu
Verze
Modul FaxChange

Popis

Pokud má atribut SendActive hodnotu True, metoda SendWaitingFaxes umožní FaxChangi odeslat odchozí faxy přes telefonní linku VoiceChange.

Pokud má atribut SendActive hodnotu False, metoda SendWaitingFaxes nedělá nic.

Syntaxe

FaxChange.SendWaitingFaxes

Viz také

SendActive


Modul ScriptRedirector

Modul ScriptRedirector Reference VoiceChange skriptu
Verze

Popis

Modul na základě čísla volané linky zavolá vhodný modul, který volání obslouží.

Modul pro ScriptRedirector je běžný VX modul, který má atribut Arguments a metody OnRing a OnIdle.

Konfigurace

V konfiguračním souboru linky musí být tyto konfigurační položky:

Položka | Popis
$ScriptRedirector.Modules | Seznam modulů, které má ScriptRedirector používat oddělený znakem "|".
$ScriptRedirector.DfltModule | Implicitní modul.
$ScriptRedirector.DfltArguments | Argumenty pro implicitní modul.
$ScriptRedirector.CatchErrors Pokud má hodnotu 1 (implicitní hodnota), pak v případě, že se vyskytne v podřízeném modulu chyba při vykonávání OnRing nebo OnIdle, chybu vypíše do logu a ukončí hovor.

Pokud má hodnotu 0, pak v případě chyby v podřízeném modulu se VX skript ukončí.

Konfigurace modulů pro jednotlivé volané linky je uložena v registru systému Windows v klíči "HKLM\SOFTWARE\Datasys\UMS\LinesAssignment\". Pro každou linku je v zde řetězcová hodnota s názvem odpovídajícím číslu volané linky a hodnotou ve tvaru "vx:modul" nebo "vx:modul?argumenty", kde "modul" je jméno použitého modulu a "argumenty" jsou použité argumenty pro tento modul.

Metody

Jméno | Popis
OnRing | Zvedne příchozí hovor. Potom podle cílové linky zvolí vhodný modul, nastaví jeho atribut Arguments a zavolá jeho metodu OnRing.
OnIdle | Zovolá OnIdle všech nakonfigurovaných modulů.


Modul VoiceMail

Modul VoiceMail Reference VoiceChange skriptu
Verze

Popis

Standardní modul VoiceMail je vytvořen během inicializace skriptu. Realizuje interaktivní nahrávání a ukládání zpráv do hlasových schránek a výběr hlasových schránek jejich majiteli.

Metody

Jméno | Popis
ManageBox | Umožní volajícímu vyslechnout obsah hlasové schránky.
RecordMessage | Umožní volajícímu zanechat hlasovou zprávu.


Metoda ManageBox

Metoda ManageBox Reference VoiceChange skriptu
Verze
Modul VoiceMail

Popis

Metoda ManageBox umožní volajícímu vyslechnout obsah hlasové schránky. Pokud volající nevolá z bezpečného telefonního čísla, je napřed dotázán na heslo.

Syntaxe

VoiceMail.ManageBox BoxNo

Parametry

Parametr | Popis
BoxNo | String obsahující číslo schránky. Pokud má parametr hodnotu Empty, bude dotázán na číslo své schránky.


Metoda RecordMessage

Metoda RecordMessage Reference VoiceChange skriptu
Verze
Modul VoiceMail

Popis

Metoda RecordMessage umožní volajícímu zanechat hlasovou zprávu.

Syntaxe

VoiceMail.RecordMessage BoxNo

Parametry

Parametr | Popis
BoxNo | String obsahující číslo schránky, pro kterou má být zpráva zanechána. Pokud má parametr hodnotu Empty, bude dotázán na číslo volané schránky (tj. číslo volané linky)..


Modul VXML

Modul VXML Reference VoiceChange skriptu
Verze

Popis

VXML modul implementuje částečnou podporu VoiceXML pro popis hlasových aplikací.

Modul očekává jako parametr URI VXML souboru s popisem aplikace.

Struktura VXML souboru

VXML soubor reprezentuje skupinu dialogů. Dialog může být buď menu, nebo formulář.

Menu umožňuje uživateli (volajícímu) se rozhodnout, kam chce pokračovat. Výsledkem jeho volby je přechod k dalšímu dialogu - menu nebo formuláři.

Formulář popisuje posloupnost kroků v aplikaci, která se, narozdíl od menu, nevětví. Těmito kroky je např. přehrávání informací, přesměrování hovoru na jinou linku nebo výzva k zadání informací pomocí klávesnice telefonu.

Příklad:

<vxml>

  <menu id="main-menu">
    <prompt>
      <audio src="main-menu.wav"/>
    </prompt>
    <choice dtmf="1" next="#info-menu"/>
    <choice dtmf="2" next="#reception"/>
  </menu>

  <menu id="info-menu">
    <prompt>
      <audio src="info-menu.wav"/>
    </prompt>
    <choice dtmf="1" next="#info-1"/>
    <choice dtmf="2" next="#info-2"/>
    <choice dtmf="*" next="#main-menu"/>
  </menu>

  <form id="info-1">
    <block>
      <audio src="info-1.wav"/>
    </block>
    <goto next="#info-menu"/>
  </form>

  <form id="info-2">
    <block>
      <audio src="info-2.wav"/>
    </block>
    <goto next="#info-menu"/>
  </form>

  <form id="reception">
    <transfer dest="tel:100"/>
  </form>

</vxml>

Menu

Menu přehraje uživateli zvukové soubory uvedené v elementu <prompt> a čeká na zadání jedné z možností uvedených v atributech "dtmf" elementů <choice>. Po zvolení aplikace přejde na dialog uvedený v atributu "next" příslušné volby.

Příklad:

<menu id="info-menu" desc="Menu informací">
  <prompt>
    <audio src="info-menu.wav"/>
  </prompt>
  <choice dtmf="1" next="#info-1"/>
  <choice dtmf="2" next="#info-2"/>
  <choice dtmf="*" next="#main-menu"/>
  <noinput>
    <goto next="#info-default"/>
  </noinput>
</menu>
Element <menu>

Představuje menu.

Atribut | Popis
id | Identifikátor umožňující odkazovat se na menu např. z elementů <choice> nebo <goto>.
desc | Libovolný popis daného kroku. Tento atribut se ve standardu VXML nevyskytuje.
Element <prompt>

Představuje výzvu uživateli. Může obsahovat libovolný počet elementů <audio>, které jsou přehrány v daném pořadí.

Atribut | Popis
repeat-count | Určuje, kolikrát bude výzva přehrána, než bude spuštěna větev "noinput". Implicitní hodnota odpovídá Line.AskRepCount.
padding | Obsahuje jméno WAV souboru, který se použije jako vložka (pauze) po každém přehrání menu. Pokud nemá atribut hodnotu, nebude vložka přehrávána vůbec. Implicitní hodnota odpovídá Line.AskWaitingWAV.
Element <audio>

Představuje zvukovou nahrávku, která se má přehrát uživateli.

Atribut | Popis
src | Jméno WAV souboru, který se má přehrát.
Element <choice>

Představuje jednu možnou volbu v menu.

Atribut | Popis
dtmf | Znak použitý pro volbu této možnosti.
next | URI adresa pro přechod do dalšího kroku.
Element <noinput>

Obsahuje akci <goto> nebo <transfer>, které se má provést v případě, že uživatel nevybere žádnou z možností.

Formuláře

Formulář popisuje posloupnost kroků v aplikaci. Tyto kroky jsou prováděny jeden po druhém v daném pořadí.

Příklad:

<form id="reception">
  <block>
    <audio src="transfer-to-reception.wav"/>
  </block>
  <transfer dest="tel:100"/>
</form>
Element <form>

Představuje formulář.

Atribut | Popis
id | Identifikátor umožňující odkazovat se na formulář např. z elementů <choice> nebo <goto>.
desc | Libovolný popis daného kroku. Tento atribut se ve standardu VXML nevyskytuje.
Element <field>

Vyzve uživatele k zadání požadované informace.

Atribut | Popis
name | Jméno proměnné, ve které bude uložen výsledek.
type | Typ požadované informace.

Atribut type může obsahovat jednu z následujících hodnot:

Hodnota | Popis
digits | Od uživatele se očekává zadání posloupnosti čísel potvrzené stisknutím křížku.
digits?length=N | Od uživatele se očekává zadání posloupnosti N čísel.

Nepovinný element <noinput> může obshovat akci <goto> nebo <transfer>, které se má provést v případě, že uživatel nezadá žádnou hodnotu.

Příklad:

<field name="pin" type="digits">
  <prompt>
    <audio src="enter-pin.wav"/>
  </prompt>
  <noinput>
    <transfer dest="tel:100"/>
  </noinput>
</field>
Element <block>

Může obsahovat libovolný počet elementů <audio>, které jsou přehrány v daném pořadí.

Element <transfer>

Provede přesměrování hovoru na jiné číslo.

Atribut | Popis
dest | Telefonní číslo ve tvaru "tel:123".
destexpr | JScript výraz, vracející telefoní číslo ve tvaru "tel:123". Ve výrazu je možné použít proměnné z elementů <field>.

Příklad:

<transfer dest="tel:100"/>
<field name="number" type="digits"/>
<transfer destexpr="'tel:' + number"/>
Element <goto>

Přesune zpracování na jiné místo dokumentu nebo i do jiného dokumentu.

Atribut | Popis
next | URI adresa pro přechod do dalšího kroku.

Příklad:

<goto next="#main-menu"/>
Element <submit>

Přesune zpracování na jiné místo dokumentu nebo i do jiného dokumentu a odešle metodou GET hodnoty všech vstupních položek formuláře.

Atribut | Popis
next | URI adresa pro přechod do dalšího kroku.

Příklad:

<submit next="#main-menu"/>

Podporovaná schémata URI

Atribut "next" elementů <choice>, <goto> a <submit> určuje další krok zpracování hlasové aplikace. Hodnota atributu může mít následující podoby:

URI | Popis
#dialog-id | Přechod na dialog s identifikátorem "dialog-id" v aktuálním dokument.
file:///C:/vxml/app1.vxml
file:///C:/vxml/app1.vxml#dialog1
http://localhost/vxml/app1.vxml 		Přechod do jiného VXML dokumentu.
vx:/module-name?arguments | Předání hovoru VX modulu s názvem "module-name".
cc:?arg1=val1&arg2=val2 | Pokud je VXML modul spuštěn z CX Call Centra (CC), zajistí tento přechod návrat do CC. K zpracovávanému hovoru s v CC do tabulky "c" uloží atributy uvedené v URI a v případě elementu <submit> též hodnoty z <field>.

Aplikační log

VXML modul zapisuje do aplikačního logu následující události:

Událost | Popis
enter | Při vstupu do VXML stromu. V popisu zprávy je URL dokumentu.
step | Při každém přechodu do nového uzlu VXML stromu. V popisu zprávy je URL daného uzlu.
exit | Při ukončení zpracování VXML stromu V popisu zprávy je URL posledního kroku. (odpovídá poslednímu záznamu step).
transfer | Při přesměrování hovoru na jinou linku příkazem <transfer>. V popisu zprávy je číslo linky.


Konstanta VXLibVersion

Konstanta VXLibVersion Reference VoiceChange skriptu
Verze

Popis

Konstanta VXLibVersion je String obsahující verzi systémové části skriptu. Pokud uživatelský skript vyžaduje určitou verzi skriptu pro správný běh, může verzi ověřit pomocí této konstanty; nejlépe v uživatelské proceduře OnInit.

Viz také

Verze VoiceChange scriptu


Seznam WAVů

Seznam WAVů Reference VoiceChange skriptu
Verze

Popis

Seznam WAVů je struktura používaná metodami pro přehrávání WAVů, jako jsou Line.BufferWAV, Line.PlayWAV, Line.Ask a další. Seznam WAVů má maximálně zjednodušit sestavování posloupnosti WAVů pro přehrávání.

Seznam WAVů je definován rekurzivně takto:

  • Seznam WAVů je buď String obsahující jméno WAVu,
  • nebo pole (Array) seznamu WAVů.

Příklady seznamu WAVů:

' jednoprvkový seznam
"jmeno.wav"
' tříprvkový seznam
Array("jedna.wav", "dva.wav", "tri.wav")
' rekurzivní seznam
Array("jedna.wav", Array("dva.wav", "tri.wav"), "ctyri.wav")

Příklad

Díky seznamu WAVů je možné poměrně jednoduše přehrávat i složitější zprávy. Metoda Speaker.PhoneNumber v následujícím příkladu vrací pole WAVů, které je vloženo do našeho pole a tak je vytvořen rekurzivní seznam WAVů, který přehrajeme metodou Line.PlayWAV.

Line.PlayWAV Array("DovolaliJsteSeNa.wav", _
                   Speaker.PhoneNumber(Line.ExtNo, ".") _
                  ), ""


Verze VoiceChange skriptu

Verze VoiceChange skriptu Reference VoiceChange skriptu

Historie

Verze | Popis změn
3.11 Modul Line:
  • Metoda Transfer je nyní funkce
3.10

Modul ScriptRedirector:

  • Nová konfigurační položka CatchErrors.
3.9 | Modul VXML zapisuje zapisuje události do aplikačního logu.
3.8 Modul VXML:
  • Element <noinput>.
3.7 Modul VXML:
  • Atribut "type" elementu <field> podporuje hodnotu "digits?length=N".
3.6 Modul VXML:
  • Element <transfer> podporuje atribut "destexpr".
3.5 | Možnost záložního INI souboru na příkazové řadce.
3.4 Nové metody
  • Line.ReceiveFax
3.3 Nové metody:
  • Line.Transfer

Nové moduly:

  • ScriptRedirector
  • VXML

Značení různých verzí

Verze systémové části VoiceChange skriptu (systémová knihovna objektů) je uložena v globální konstantě VXLibVersion. Verze je označena třemi čísly oddělenými tečkou. Význam čísel je tento:

Parametr | Popis
První číslo | Označuje zpětně nekompatibilní verze skriptu.
Druhé číslo | Označuje zpětně kompatibilní verzi knihovny. Vyšší verze knihoven rozšiřují funkčnost nižších verzí. Ale skripty napsané pro knihovnu s nižším číslem verze jsou funkční i ve všech verzích vyšších.
Třetí číslo | Funkčnost (a tedy i dokumentace) skriptů s různým třetím číslem je stejná. Vyšší třetí číslo mají knihovny, ve kterých jsou odstraněny případné chyby nižších verzí.

Číslo knihovny tedy může být například "3.4.1".


Glosář

Glosář Reference VoiceChange skriptu
Verze

Normativní formát telefonního čísla

Normativní formát čísla je univerzální celosvětově jednoznačný formát čísla. Normativním formátem čísla v systému VoiceChange se míní String obsahující buď interní číslo ve tvaru

<číslo linky pobočkové ústředny>

nebo externí číslo ve tvaru

+<směrové číslo země><směrové číslo oblasti><účastnické číslo>

Externí čísla začínají znakem "+" (plusu). Kromě tohoto znaku mohou obě formy čísla obsahovat pouze číslice 0-9. Žádné pomocné znaky (mezera, závorky) nejsou povoleny.

Virtuální hlasová schránka

Virtuální hlasová schránka je schránka, která není přiřazena žádnému uživateli. Všechny zprávy uložené do této schránky jsou doručeny do schránky administrátora. Virtuální schránku nelze otevřít (nikdy v ní nejsou v ní uloženy žádné zprávy).


Modul VXML

Modul LanguageSelector Reference VoiceChange skriptu
Verze

Popis

Modul umožňuje volajícímu zvolit si jazyk, ve kterém s ním bude aplikace komunikovat. Volba je provedena pomocí stisku příslušného tlačítka telefonu. Také je možné určit implicitní jazyk pro případ, že volající nestiskne žádné tlačítko.

Konfigurace

Modul používá tyto konfigurační položky:

Konfigurační soubor | Parametr modulu | Popis | Implicitní hodnota | Příklad
$LanguageSelector.Prompt | Prompt | Jméno WAV souboru s výzvou pro volbu jazyka. | <žádná> | LanguageSelector_Cze_Eng.wav
$LanguageSelector.PromptRepeat | PromptRepeat | Počet opakování výzvy, po které bude zvolen implicitní jazyk. | 1 | 2
$LanguageSelector.Choices | Choices | Seznam možností ve tvaru <číslo>=<jazyk>|<číslo>=<jazyk>. | <žádná> | 1=CZE|2=ENG
$LanguageSelector.DfltChoice | DfltChoice | Kód jazyka použitého v případě, že volající nezvolí žádnou možnost. | <žádná> | CZE
$LanguageSelector.Module | Module | Identifikátor modulu, který má být spuštěn po zvolení jazyka. | <žádná> | Recorder
$LanguageSelector.ModuleArguments | ModuleArguments | Argumenty, které budou předány spouštěnému modulu. | <prázdný řetězec> | BoxNo=100

Parametry modulu je možné použít například v aplikace Line Assignment a je třeba je kódovat jako dotazovací část URL, tj. například "Prompt=M%F9j.wav&PromptRepeat=2&Module=VoiceMail" (%F9 je zakódovaný znak "ů").


Metoda AskChar

Metoda AskChar Reference VoiceChange skriptu
Verze
Objekt Line

Popis

Metoda AskChar přehraje seznam WAVů z parametru WAVList. WAVy jsou přehrány maximálně tolikrát, kolik je hodnota atributu AskRepCount a za každé přehrání seznamu WAVů je navíc vložen WAV, jehož jméno je uloženo v atributu AskWaitingWAV. Všechny WAVy jsou přehrávány těsně za sebou bez prodlev.

Syntaxe

Input = Line.AskChar(WAVList, StopChars)

Parametry

Parametr | Popis
WAVList | String obsahující jméno WAVu nebo seznam WAVů.
StopChars | String obsahující DTMF znaky, jejichž stisknutím volající přeruší zadávání vstupu.

Návratová hodnota

Pokud volající stiskne některý ze znaků v parametru StopChars, je přehrávání ukončeno a AskChar vrátí pouze tento znak.

Pokud během přehrávání nenastane žádná z výše uvedených situací, je po skončení přehrávání vrácena hodnota Empty.

Viz také

Ask, AskExt, AskFix, AskFixRev, AskRepCount, AskRev, AskWaitingWAV, Seznam WAVů